// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.icons;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

import org.jetbrains.annotations.ApiStatus.ScheduledForRemoval;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public class AllIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, AllIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Actions {
    /** 16x16 */ public static final @NotNull Icon AddFile = load("actions/addFile.svg", -1617087733, 2);
    /** 16x16 */ public static final @NotNull Icon AddList = load("actions/addList.svg", 1737381880, 2);
    /** 16x16 */ public static final @NotNull Icon AddMulticaret = load("actions/AddMulticaret.svg", -227059181, 2);
    /** 16x16 */ public static final @NotNull Icon AddToDictionary = load("actions/addToDictionary.svg", -1449023277, 2);
    /** 16x16 */ public static final @NotNull Icon Annotate = load("actions/annotate.svg", 235744634, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowCollapse = load("actions/arrowCollapse.svg", 72968420, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowExpand = load("actions/arrowExpand.svg", 1387725047, 2);
    /** 16x16 */ public static final @NotNull Icon Back = load("actions/back.svg", 348681397, 2);
    /** 16x16 */ public static final @NotNull Icon BuildAutoReloadChanges = load("actions/buildAutoReloadChanges.svg", 1350369137, 2);
    /** 16x16 */ public static final @NotNull Icon BuildLoadChanges = load("actions/buildLoadChanges.svg", -1783326609, 2);
    /** 16x16 */ public static final @NotNull Icon Cancel = load("actions/cancel.svg", -746559310, 2);
    /** 16x16 */ public static final @NotNull Icon ChangeView = load("actions/changeView.svg", -925118849, 2);
    /** 12x12 */ public static final @NotNull Icon Checked = load("actions/checked.svg", 436152211, 0);
    /** 12x12 */ public static final @NotNull Icon Checked_selected = load("actions/checked_selected.svg", -1104904749, 0);
    /** 16x16 */ public static final @NotNull Icon CheckMulticaret = load("actions/CheckMulticaret.svg", 914707873, 2);
    /** 16x16 */ public static final @NotNull Icon CheckOut = load("actions/checkOut.svg", -2015441345, 2);
    /** 16x16 */ public static final @NotNull Icon Close = load("actions/close.svg", 439251900, 0);
    /** 16x16 */ public static final @NotNull Icon CloseDarkGrey = load("actions/closeDarkGrey.svg", -1930923146, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHovered = load("actions/closeHovered.svg", -1323698323, 0);
    /** 16x16 */ public static final @NotNull Icon Collapseall = load("actions/collapseall.svg", 1570931206, 2);
    /** 16x16 */ public static final @NotNull Icon Colors = load("actions/colors.svg", 921429425, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("actions/commit.svg", 1744565374, 2);
    /** 16x16 */ public static final @NotNull Icon Compile = load("actions/compile.svg", -1105284757, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("actions/copy.svg", 1042207647, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTag = load("actions/deleteTag.svg", -550570310, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTagHover = load("actions/deleteTagHover.svg", 220786655, 2);
    /** 16x16 */ public static final @NotNull Icon DependencyAnalyzer = load("actions/dependencyAnalyzer.svg", 1506634156, 2);
    /** 16x16 */ public static final @NotNull Icon DiagramDiff = load("actions/diagramDiff.svg", 827569931, 2);
    /** 16x16 */ public static final @NotNull Icon Diff = load("actions/diff.svg", 1971980411, 2);
    /** 16x17 */ public static final @NotNull Icon DiffWithClipboard = load("actions/diffWithClipboard.svg", -1876843757, 2);
    /** 16x16 */ public static final @NotNull Icon Download = load("actions/download.svg", 1107442277, 2);
    /** 16x16 */ public static final @NotNull Icon Dump = load("actions/dump.svg", 1394006587, 2);
    /** 16x16 */ public static final @NotNull Icon DynamicUsages = load("actions/dynamicUsages.svg", -1074875741, 2);
    /** 16x16 */ public static final @NotNull Icon Edit = load("actions/edit.svg", -1071535650, 2);
    /** 16x16 */ public static final @NotNull Icon EditScheme = load("actions/editScheme.svg", 1713105260, 2);
    /** 16x16 */ public static final @NotNull Icon EditSource = load("actions/editSource.svg", -590574212, 2);
    /** 16x16 */ public static final @NotNull Icon EnableNewUi = load("actions/enableNewUi.svg", -286341732, 0);
    /** 16x16 */ public static final @NotNull Icon EnableNewUiSelected = load("actions/enableNewUiSelected.svg", -1784839118, 0);
    /** 16x16 */ public static final @NotNull Icon Execute = load("actions/execute.svg", -93645272, 10);
    /** 16x16 */ public static final @NotNull Icon Exit = load("actions/exit.svg", -1022863146, 2);
    /** 16x16 */ public static final @NotNull Icon Expandall = load("actions/expandall.svg", 1685072019, 2);
    /** 16x16 */ public static final @NotNull Icon Find = load("actions/find.svg", -968073069, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatches = load("actions/findAndShowNextMatches.svg", -2054296364, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatchesSmall = load("actions/findAndShowNextMatchesSmall.svg", -2091441688, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatches = load("actions/findAndShowPrevMatches.svg", -786786223, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatchesSmall = load("actions/findAndShowPrevMatchesSmall.svg", 218566600, 2);
    /** 16x16 */ public static final @NotNull Icon FindBackward = load("actions/findBackward.svg", 1493398605, 2);
    /** 16x16 */ public static final @NotNull Icon FindEntireFile = load("actions/findEntireFile.svg", 346543171, 2);
    /** 16x16 */ public static final @NotNull Icon FindForward = load("actions/findForward.svg", -1331015480, 2);
    /** 16x16 */ public static final @NotNull Icon ForceRefresh = load("actions/forceRefresh.svg", 244154651, 2);
    /** 16x16 */ public static final @NotNull Icon Forward = load("actions/forward.svg", 1147251415, 2);
    /** 16x16 */ public static final @NotNull Icon GC = load("actions/gc.svg", -1516672680, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("actions/generatedFolder.svg", 2129421903, 2);
    /** 16x16 */ public static final @NotNull Icon GroupBy = load("actions/groupBy.svg", 231452574, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByClass = load("actions/GroupByClass.svg", -22549740, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByFile = load("actions/GroupByFile.svg", -883162785, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByMethod = load("actions/groupByMethod.svg", 1453414025, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModule = load("actions/GroupByModule.svg", 1547622563, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModuleGroup = load("actions/GroupByModuleGroup.svg", -421219550, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPackage = load("actions/GroupByPackage.svg", -208588043, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPrefix = load("actions/GroupByPrefix.svg", 274470969, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByTestProduction = load("actions/groupByTestProduction.svg", 1569829140, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("actions/help.svg", 1743171947, 2);
    /** 16x16 */ public static final @NotNull Icon Highlighting = load("actions/highlighting.svg", -586650753, 2);
    /** 9x5 */ public static final @NotNull Icon InlayDropTriangle = load("actions/inlayDropTriangle.svg", -515311382, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGear = load("actions/inlayGear.svg", 2120189095, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGlobe = load("actions/inlayGlobe.svg", 1573748127, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInComments = load("actions/inlayRenameInComments.svg", -779347309, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInCommentsActive = load("actions/inlayRenameInCommentsActive.svg", 1443832028, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFiles = load("actions/inlayRenameInNoCodeFiles.svg", -2069952545, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFilesActive = load("actions/inlayRenameInNoCodeFilesActive.svg", -1397237762, 2);
    /** 12x12 */ public static final @NotNull Icon InlaySecuredShield = load("actions/inlaySecuredShield.svg", 2081658519, 0);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrame = load("actions/inlineDropFrame.svg", 542730316, 2);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrameSelected = load("actions/inlineDropFrameSelected.svg", -2051207864, 2);
    /** 16x16 */ public static final @NotNull Icon InSelection = load("actions/inSelection.svg", -47017385, 2);
    /** 16x16 */ public static final @NotNull Icon Install = load("actions/install.svg", 6253485, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulb = load("actions/intentionBulb.svg", 1683274395, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulbGrey = load("actions/intentionBulbGrey.svg", 405880304, 2);
    /** 16x16 */ public static final @NotNull Icon Lightning = load("actions/lightning.svg", -1353880518, 2);
    /** 16x16 */ public static final @NotNull Icon ListChanges = load("actions/listChanges.svg", 1717335370, 2);
    /** 16x16 */ public static final @NotNull Icon ListFiles = load("actions/listFiles.svg", -1858269182, 2);
    /** 16x16 */ public static final @NotNull Icon MatchCase = load("actions/matchCase.svg", 1208620647, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseHovered = load("actions/matchCaseHovered.svg", 92992165, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseSelected = load("actions/matchCaseSelected.svg", 1514291960, 0);
    /** 16x16 */ public static final @NotNull Icon MenuCut = load("actions/menu-cut.svg", 1110267587, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_cut = MenuCut;
    /** 16x16 */ public static final @NotNull Icon MenuOpen = load("actions/menu-open.svg", 1245287991, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_open = MenuOpen;
    /** 16x16 */ public static final @NotNull Icon MenuPaste = load("actions/menu-paste.svg", -313005793, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_paste = MenuPaste;
    /** 16x16 */ public static final @NotNull Icon MenuSaveall = load("actions/menu-saveall.svg", -877688065, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_saveall = MenuSaveall;
    /** 16x16 */ public static final @NotNull Icon Minimap = load("actions/minimap.svg", 1535231297, 2);
    /** 16x16 */ public static final @NotNull Icon ModuleDirectory = load("actions/moduleDirectory.svg", 1533145655, 2);
    /** 16x16 */ public static final @NotNull Icon More = load("actions/more.svg", 377814172, 10);
    /** 16x16 */ public static final @NotNull Icon MoreHorizontal = load("actions/moreHorizontal.svg", 1012797689, 2);
    /** 12x12 */ public static final @NotNull Icon MoveToButton = load("actions/move-to-button.svg", 451700419, 2);
    /** 16x16 */ public static final @NotNull Icon MoveDown = load("actions/moveDown.svg", 1156614402, 2);
    /** 16x16 */ public static final @NotNull Icon MoveTo2 = load("actions/MoveTo2.svg", -330935343, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomLeft = load("actions/moveToBottomLeft.svg", -77813806, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomRight = load("actions/moveToBottomRight.svg", -1782211532, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftBottom = load("actions/moveToLeftBottom.svg", -1079516496, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftTop = load("actions/moveToLeftTop.svg", -1469483957, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightBottom = load("actions/moveToRightBottom.svg", -184992745, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightTop = load("actions/moveToRightTop.svg", 1114153990, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopLeft = load("actions/moveToTopLeft.svg", 1274896405, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopRight = load("actions/moveToTopRight.svg", -1925177642, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToWindow = load("actions/moveToWindow.svg", 1816109842, 2);
    /** 16x16 */ public static final @NotNull Icon MoveUp = load("actions/moveUp.svg", 361655169, 2);
    /** 16x16 */ public static final @NotNull Icon New = load("actions/new.svg", 846749447, 2);
    /** 16x16 */ public static final @NotNull Icon NewFolder = load("actions/newFolder.svg", -610203145, 2);
    /** 16x16 */ public static final @NotNull Icon NextOccurence = load("actions/nextOccurence.svg", -157821989, 2);
    /** 16x16 */ public static final @NotNull Icon OfflineMode = load("actions/offlineMode.svg", -1487906109, 2);
    /** 16x16 */ public static final @NotNull Icon OpenNewTab = load("actions/openNewTab.svg", -502654647, 2);
    /** 16x16 */ public static final @NotNull Icon Pause = load("actions/pause.svg", -446054440, 2);
    /** 16x16 */ public static final @NotNull Icon PinTab = load("actions/pinTab.svg", -952373289, 0);
    /** 16x16 */ public static final @NotNull Icon Play_back = load("actions/play_back.svg", 818373421, 2);
    /** 16x16 */ public static final @NotNull Icon Play_first = load("actions/play_first.svg", 861345547, 2);
    /** 16x16 */ public static final @NotNull Icon Play_forward = load("actions/play_forward.svg", 232219644, 2);
    /** 16x16 */ public static final @NotNull Icon Play_last = load("actions/play_last.svg", 583237791, 2);
    /** 16x16 */ public static final @NotNull Icon PopFrame = load("actions/popFrame.svg", -255837928, 2);
    /** 16x16 */ public static final @NotNull Icon PreserveCase = load("actions/preserveCase.svg", 1007555145, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseHover = load("actions/preserveCaseHover.svg", -181428742, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseSelected = load("actions/preserveCaseSelected.svg", 2130969725, 0);
    /** 16x16 */ public static final @NotNull Icon PrettyPrint = load("actions/prettyPrint.svg", 1313684439, 2);
    /** 16x16 */ public static final @NotNull Icon Preview = load("actions/preview.svg", -1085903160, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetails = load("actions/previewDetails.svg", 1436970798, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetailsVertically = load("actions/previewDetailsVertically.svg", -1613039939, 2);
    /** 16x16 */ public static final @NotNull Icon PreviousOccurence = load("actions/previousOccurence.svg", -694260893, 2);
    /** 16x16 */ public static final @NotNull Icon Profile = load("actions/profile.svg", 1027930683, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileBlue = load("actions/profileBlue.svg", -855360475, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileCPU = load("actions/profileCPU.svg", -646431770, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileMemory = load("actions/profileMemory.svg", -1604914941, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileRed = load("actions/profileRed.svg", 362478050, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileYellow = load("actions/profileYellow.svg", -1679500823, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectDirectory = load("actions/projectDirectory.svg", 1067820020, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOff = load("actions/projectWideAnalysisOff.svg", 951932632, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOn = load("actions/projectWideAnalysisOn.svg", -550824640, 2);
    /** 16x16 */ public static final @NotNull Icon Properties = load("actions/properties.svg", -12656654, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixBulb = load("actions/quickfixBulb.svg", 103518832, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixOffBulb = load("actions/quickfixOffBulb.svg", 1632692746, 2);
    /** 16x16 */ public static final @NotNull Icon RealIntentionBulb = load("actions/realIntentionBulb.svg", 516517225, 2);
    /** 16x16 */ public static final @NotNull Icon Redo = load("actions/redo.svg", 1384796752, 2);
    /** 16x16 */ public static final @NotNull Icon RefactoringBulb = load("actions/refactoringBulb.svg", -1341396806, 2);
    /** 16x16 */ public static final @NotNull Icon ReformatCode = load("actions/reformatCode.svg", 1503774223, 2);
    /** 16x16 */ public static final @NotNull Icon Refresh = load("actions/refresh.svg", 954789704, 2);
    /** 16x16 */ public static final @NotNull Icon Regex = load("actions/regex.svg", -669040651, 0);
    /** 16x16 */ public static final @NotNull Icon RegexHovered = load("actions/regexHovered.svg", -17694115, 0);
    /** 16x16 */ public static final @NotNull Icon RegexSelected = load("actions/regexSelected.svg", 879410496, 0);
    /** 16x16 */ public static final @NotNull Icon RemoveMulticaret = load("actions/RemoveMulticaret.svg", -1294662253, 2);
    /** 16x16 */ public static final @NotNull Icon Replace = load("actions/replace.svg", 2131324858, 2);
    /** 16x16 */ public static final @NotNull Icon Rerun = load("actions/rerun.svg", 674779890, 10);
    /** 16x16 */ public static final @NotNull Icon Restart = load("actions/restart.svg", -781157291, 2);
    /** 16x16 */ public static final @NotNull Icon RestartDebugger = load("actions/restartDebugger.svg", 1959527065, 10);
    /** 16x16 */ public static final @NotNull Icon RestartFrame = load("actions/restartFrame.svg", 1600414410, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("actions/resume.svg", 653741698, 2);
    /** 16x16 */ public static final @NotNull Icon Rollback = load("actions/rollback.svg", -624214146, 2);
    /** 16x16 */ public static final @NotNull Icon Run_anything = load("actions/run_anything.svg", -381097188, 2);
    /** 16x16 */ public static final @NotNull Icon RunAll = load("actions/runAll.svg", 394154538, 2);
    /** 16x16 */ public static final @NotNull Icon RunToCursor = load("actions/runToCursor.svg", -1645836163, 2);
    /** 16x16 */ public static final @NotNull Icon Scratch = load("actions/scratch.svg", -359090972, 2);
    /** 16x16 */ public static final @NotNull Icon Search = load("actions/search.svg", 2079754143, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLine = load("actions/searchNewLine.svg", -202043321, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLineHover = load("actions/searchNewLineHover.svg", 1884414352, 0);
    /** 16x16 */ public static final @NotNull Icon SearchWithHistory = load("actions/searchWithHistory.svg", 1577540960, 0);
    /** 16x16 */ public static final @NotNull Icon Selectall = load("actions/selectall.svg", -693374469, 2);
    /** 16x16 */ public static final @NotNull Icon SetDefault = load("actions/setDefault.svg", 1776323306, 2);
    /** 14x14 */ public static final @NotNull Icon Share = load("actions/share.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon ShortcutFilter = load("actions/shortcutFilter.svg", 1150282441, 2);
    /** 16x16 */ public static final @NotNull Icon Show = load("actions/show.svg", 796305537, 2);
    /** 16x16 */ public static final @NotNull Icon ShowAsTree = load("actions/showAsTree.svg", -600317091, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCode = load("actions/showCode.svg", 929391468, 2);
    /** 16x16 */ public static final @NotNull Icon ShowImportStatements = load("actions/showImportStatements.svg", -1581995673, 2);
    /** 16x16 */ public static final @NotNull Icon ShowReadAccess = load("actions/showReadAccess.svg", 114574741, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWriteAccess = load("actions/showWriteAccess.svg", -1418219768, 2);
    /** 16x16 */ public static final @NotNull Icon SplitHorizontally = load("actions/splitHorizontally.svg", -1452092425, 2);
    /** 16x16 */ public static final @NotNull Icon SplitVertically = load("actions/splitVertically.svg", -1568302212, 2);
    /** 16x16 */ public static final @NotNull Icon StartDebugger = load("actions/startDebugger.svg", -1624096128, 10);
    /** 16x16 */ public static final @NotNull Icon StartMemoryProfile = load("actions/startMemoryProfile.svg", -692266027, 2);
    /** 16x16 */ public static final @NotNull Icon StepOut = load("actions/stepOut.svg", 767714339, 2);
    /** 16x16 */ public static final @NotNull Icon StepOutCodeBlock = load("actions/stepOutCodeBlock.svg", -1986276573, 2);
    /** 16x16 */ public static final @NotNull Icon StopRefresh = load("actions/stopRefresh.svg", -263889078, 2);
    /** 16x16 */ public static final @NotNull Icon Stub = load("actions/stub.svg", 1498506742, 2);
    /** 16x16 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("actions/suggestedRefactoringBulb.svg", -1383118699, 2);
    /** 16x16 */ public static final @NotNull Icon Suspend = load("actions/suspend.svg", -1741388021, 10);
    /** 16x16 */ public static final @NotNull Icon SwapPanels = load("actions/swapPanels.svg", -1788352390, 2);
    /** 16x16 */ public static final @NotNull Icon SynchronizeScrolling = load("actions/synchronizeScrolling.svg", 575103944, 2);
    /** 16x16 */ public static final @NotNull Icon SyncPanels = load("actions/syncPanels.svg", 29133537, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleSoftWrap = load("actions/toggleSoftWrap.svg", -143280666, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleVisibility = load("actions/toggleVisibility.svg", 617161112, 2);
    /** 16x16 */ public static final @NotNull Icon TraceInto = load("actions/traceInto.svg", -269932785, 2);
    /** 16x16 */ public static final @NotNull Icon TraceOver = load("actions/traceOver.svg", -424839065, 2);
    /** 16x16 */ public static final @NotNull Icon Undo = load("actions/undo.svg", -1591191337, 2);
    /** 16x16 */ public static final @NotNull Icon Uninstall = load("actions/uninstall.svg", 1810563529, 2);
    /** 16x16 */ public static final @NotNull Icon Unselectall = load("actions/unselectall.svg", 1630031678, 2);
    /** 14x14 */ public static final @NotNull Icon Unshare = load("actions/unshare.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon Upload = load("actions/upload.svg", -159003796, 2);
    /** 16x16 */ public static final @NotNull Icon Words = load("actions/words.svg", 1419401443, 0);
    /** 16x16 */ public static final @NotNull Icon WordsHovered = load("actions/wordsHovered.svg", 678472378, 0);
    /** 16x16 */ public static final @NotNull Icon WordsSelected = load("actions/wordsSelected.svg", 716160722, 0);

    /** @deprecated to be removed (use expandable text field instead, see https://jetbrains.design/intellij/controls/built_in_button/) */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon ShowViewer = load("actions/showViewer.png", 0, 0);
  }

  public static final class Chooser {
    /** 16x16 */ public static final @NotNull Icon Bottom = load("chooser/bottom.svg", -1584065664, 2);
    /** 16x16 */ public static final @NotNull Icon Left = load("chooser/left.svg", 535866616, 2);
    /** 16x16 */ public static final @NotNull Icon Right = load("chooser/right.svg", 1412438970, 2);
    /** 16x16 */ public static final @NotNull Icon Top = load("chooser/top.svg", -1890324594, 2);
  }

  public static final class CodeStyle {
    /** 16x16 */ public static final @NotNull Icon AddNewSectionRule = load("codeStyle/AddNewSectionRule.svg", 70358640, 2);
  }

  public static final class CodeWithMe {
    /** 16x16 */ public static final @NotNull Icon CwmAccess = load("codeWithMe/cwmAccess.svg", -965225591, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOff = load("codeWithMe/cwmAccessDotOff.svg", 1607983721, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOn = load("codeWithMe/cwmAccessDotOn.svg", -1236792347, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOff = load("codeWithMe/cwmAccessOff.svg", 961899589, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOn = load("codeWithMe/cwmAccessOn.svg", 1734569816, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOff = load("codeWithMe/cwmCamOff.svg", -395591926, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOn = load("codeWithMe/cwmCamOn.svg", -793734191, 2);
    /** 16x16 */ public static final @NotNull Icon CwmDisableCall = load("codeWithMe/cwmDisableCall.svg", 1237336996, 2);
    /** 16x16 */ public static final @NotNull Icon CwmEnableCall = load("codeWithMe/cwmEnableCall.svg", 810546696, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollow = load("codeWithMe/cwmFollow.svg", -1896118784, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollowMe = load("codeWithMe/cwmFollowMe.svg", -1896862078, 2);
    /** 16x16 */ public static final @NotNull Icon CwmForceFollowMe = load("codeWithMe/cwmForceFollowMe.svg", -1602030682, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFullSync = load("codeWithMe/cwmFullSync.svg", -1658529709, 2);
    /** 17x17 */ public static final @NotNull Icon CwmIconModificator = load("codeWithMe/cwmIconModificator.svg", -198023873, 2);
    /** 16x16 */ public static final @NotNull Icon CwmInvite = load("codeWithMe/cwmInvite.svg", 1543976930, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJoin = load("codeWithMe/cwmJoin.svg", -1268323347, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJump = load("codeWithMe/cwmJump.svg", -220993296, 2);
    /** 16x16 */ public static final @NotNull Icon CwmKick = load("codeWithMe/cwmKick.svg", 316444924, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLeaveCall = load("codeWithMe/cwmLeaveCall.svg", 1331186367, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLogoToolbar = load("codeWithMe/cwmLogoToolbar.svg", 2105680899, 0);
    /** 16x16 */ public static final @NotNull Icon CwmMicOff = load("codeWithMe/cwmMicOff.svg", 948117470, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOn = load("codeWithMe/cwmMicOn.svg", -1419951671, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionEdit = load("codeWithMe/cwmPermissionEdit.svg", 288355575, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissions = load("codeWithMe/cwmPermissions.svg", -1254625866, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionView = load("codeWithMe/cwmPermissionView.svg", 179954070, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOff = load("codeWithMe/cwmScreenOff.svg", 1240021242, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOn = load("codeWithMe/cwmScreenOn.svg", 2034725226, 2);
    /** 16x16 */ public static final @NotNull Icon CwmShared = load("codeWithMe/cwmShared.svg", 858589743, 2);
    /** 16x16 */ public static final @NotNull Icon CwmTerminate = load("codeWithMe/cwmTerminate.svg", 269962300, 2);
    /** 16x16 */ public static final @NotNull Icon Users = load("codeWithMe/users.svg", 1132067775, 2);
  }

  public static final class Debugger {
    /** 16x16 */ public static final @NotNull Icon AddToWatch = load("debugger/addToWatch.svg", -983915785, 2);
    /** 16x16 */ public static final @NotNull Icon AttachToProcess = load("debugger/attachToProcess.svg", 945501675, 2);
    /** 16x16 */ public static final @NotNull Icon ClassLevelWatch = load("debugger/classLevelWatch.svg", 360891493, 2);
    /** 16x16 */ public static final @NotNull Icon Console = load("debugger/console.svg", -1537635793, 2);
    /** 16x16 */ public static final @NotNull Icon Db_array = load("debugger/db_array.svg", -993000354, 2);
    /** 16x16 */ public static final @NotNull Icon Db_db_object = load("debugger/db_db_object.svg", 1110484641, 0);
    /** 12x12 */ public static final @NotNull Icon Db_dep_field_breakpoint = load("debugger/db_dep_field_breakpoint.svg", -132344762, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_line_breakpoint = load("debugger/db_dep_line_breakpoint.svg", 1546264367, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_method_breakpoint = load("debugger/db_dep_method_breakpoint.svg", 282588306, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_breakpoint = load("debugger/db_disabled_breakpoint.svg", 1705672911, 2);
    /** 16x16 */ public static final @NotNull Icon Db_disabled_breakpoint_process = load("debugger/db_disabled_breakpoint_process.svg", 1528412494, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_exception_breakpoint = load("debugger/db_disabled_exception_breakpoint.svg", 466205965, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_field_breakpoint = load("debugger/db_disabled_field_breakpoint.svg", -1559587874, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_method_breakpoint = load("debugger/db_disabled_method_breakpoint.svg", 464793624, 2);
    /** 16x16 */ public static final @NotNull Icon Db_evaluateNode = load("debugger/db_evaluateNode.svg", 1085640344, 0);
    /** 12x12 */ public static final @NotNull Icon Db_exception_breakpoint = load("debugger/db_exception_breakpoint.svg", 117305870, 2);
    /** 12x12 */ public static final @NotNull Icon Db_field_breakpoint = load("debugger/db_field_breakpoint.svg", 1399337735, 2);
    /** 12x12 */ public static final @NotNull Icon Db_invalid_breakpoint = load("debugger/db_invalid_breakpoint.svg", -900201080, 2);
    /** 12x12 */ public static final @NotNull Icon Db_method_breakpoint = load("debugger/db_method_breakpoint.svg", 396833548, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_breakpoint = load("debugger/db_muted_breakpoint.svg", 1396121674, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_field_breakpoint = load("debugger/db_muted_dep_field_breakpoint.svg", 190978859, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_line_breakpoint = load("debugger/db_muted_dep_line_breakpoint.svg", 206822876, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_method_breakpoint = load("debugger/db_muted_dep_method_breakpoint.svg", 1229190041, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_breakpoint = load("debugger/db_muted_disabled_breakpoint.svg", -622466079, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_field_breakpoint = load("debugger/db_muted_disabled_field_breakpoint.svg", 1059595158, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_method_breakpoint = load("debugger/db_muted_disabled_method_breakpoint.svg", 554955350, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_field_breakpoint = load("debugger/db_muted_field_breakpoint.svg", 1375230755, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_method_breakpoint = load("debugger/db_muted_method_breakpoint.svg", 384600304, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_breakpoint = load("debugger/db_no_suspend_breakpoint.svg", 562203179, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_field_breakpoint = load("debugger/db_no_suspend_field_breakpoint.svg", 1619160907, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_method_breakpoint = load("debugger/db_no_suspend_method_breakpoint.svg", -634106816, 2);
    /** 12x12 */ public static final @NotNull Icon Db_obsolete = load("debugger/db_obsolete.svg", -467203090, 2);
    /** 16x16 */ public static final @NotNull Icon Db_primitive = load("debugger/db_primitive.svg", -2050789243, 0);
    /** 12x12 */ public static final @NotNull Icon Db_set_breakpoint = load("debugger/db_set_breakpoint.svg", 1575154852, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_breakpoint = load("debugger/db_verified_breakpoint.svg", 630243430, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_field_breakpoint = load("debugger/db_verified_field_breakpoint.svg", 1672375672, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_method_breakpoint = load("debugger/db_verified_method_breakpoint.svg", -700947292, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_breakpoint = load("debugger/db_verified_no_suspend_breakpoint.svg", -1283720169, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_field_breakpoint = load("debugger/db_verified_no_suspend_field_breakpoint.svg", 421803379, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_method_breakpoint = load("debugger/db_verified_no_suspend_method_breakpoint.svg", 151289730, 2);
    /** 16x16 */ public static final @NotNull Icon Db_watch = load("debugger/db_watch.svg", 822134119, 0);
    /** 16x16 */ public static final @NotNull Icon EvaluateExpression = load("debugger/evaluateExpression.svg", 1871611398, 2);
    /** 16x16 */ public static final @NotNull Icon EvaluationResult = load("debugger/evaluationResult.svg", -468762593, 2);
    /** 16x16 */ public static final @NotNull Icon Frame = load("debugger/frame.svg", -1626763487, 2);
    /** 16x16 */ public static final @NotNull Icon KillProcess = load("debugger/killProcess.svg", -1736127411, 2);
    /** 12x12 */ public static final @NotNull Icon LambdaBreakpoint = load("debugger/LambdaBreakpoint.svg", -1647465280, 2);
    /** 12x12 */ public static final @NotNull Icon MultipleBreakpoints = load("debugger/MultipleBreakpoints.svg", 1037495489, 2);
    /** 16x16 */ public static final @NotNull Icon MuteBreakpoints = load("debugger/muteBreakpoints.svg", 1083320464, 2);
    /** 12x12 */ public static final @NotNull Icon NextStatement = load("debugger/nextStatement.svg", -120394802, 2);
    /** 16x16 */ public static final @NotNull Icon Overhead = load("debugger/overhead.svg", 1547027856, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInput = load("debugger/promptInput.svg", 1164986163, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInputHistory = load("debugger/promptInputHistory.svg", 834794015, 2);
    /** 7x9 */ public static final @NotNull Icon Question_badge = load("debugger/question_badge.svg", 1692745462, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreLayout = load("debugger/restoreLayout.svg", 815441355, 2);
    /** 16x16 */ public static final @NotNull Icon Selfreference = load("debugger/selfreference.svg", 938785030, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCurrentFrame = load("debugger/showCurrentFrame.svg", 1896852072, 2);
    /** 16x16 */ public static final @NotNull Icon SmartStepInto = load("debugger/smartStepInto.svg", -1777783725, 2);
    /** 16x16 */ public static final @NotNull Icon ThreadAtBreakpoint = load("debugger/threadAtBreakpoint.svg", -1553250174, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadCurrent = load("debugger/threadCurrent.svg", 1467453608, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadFrozen = load("debugger/threadFrozen.svg", -1643443327, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroup = load("debugger/threadGroup.svg", -160154156, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroupCurrent = load("debugger/threadGroupCurrent.svg", 1158108122, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadRunning = load("debugger/threadRunning.svg", -1362767442, 0);
    /** 16x16 */ public static final @NotNull Icon Threads = load("debugger/threads.svg", -1845020506, 2);

    public static final class ThreadStates {
      /** 16x16 */ public static final @NotNull Icon Daemon_sign = load("debugger/threadStates/daemon_sign.svg", 132014367, 2);
      /** 16x16 */ public static final @NotNull Icon Idle = load("debugger/threadStates/idle.svg", -1590306145, 2);
      /** 16x16 */ public static final @NotNull Icon Socket = load("debugger/threadStates/socket.svg", -1917077407, 2);
    }

    /** 16x16 */ public static final @NotNull Icon ThreadSuspended = load("debugger/threadSuspended.svg", 1757715148, 0);
    /** 16x16 */ public static final @NotNull Icon Value = load("debugger/value.svg", -582724165, 0);
    /** 16x16 */ public static final @NotNull Icon VariablesTab = load("debugger/variablesTab.svg", -1255137376, 2);
    /** 16x16 */ public static final @NotNull Icon ViewBreakpoints = load("debugger/viewBreakpoints.svg", -518811909, 2);
    /** 16x16 */ public static final @NotNull Icon Watch = load("debugger/watch.svg", -1705735073, 2);
    /** 16x16 */ public static final @NotNull Icon WatchLastReturnValue = load("debugger/watchLastReturnValue.svg", 1416739610, 2);
  }

  public static final class Diff {
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflicts = load("diff/applyNotConflicts.svg", -389221464, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsLeft = load("diff/applyNotConflictsLeft.svg", -1261843988, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsRight = load("diff/applyNotConflictsRight.svg", 432248473, 2);
    /** 12x12 */ public static final @NotNull Icon Arrow = load("diff/arrow.svg", 1725488209, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowLeftDown = load("diff/arrowLeftDown.svg", 579137618, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeftRight = load("diff/arrowLeftRight.svg", -390798394, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRight = load("diff/arrowRight.svg", 351723608, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRightDown = load("diff/arrowRightDown.svg", 831053475, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftMiddle = load("diff/compare3LeftMiddle.svg", 780874580, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftRight = load("diff/compare3LeftRight.svg", 607599086, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3MiddleRight = load("diff/compare3MiddleRight.svg", -84776065, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftBottom = load("diff/compare4LeftBottom.svg", -441200068, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftMiddle = load("diff/compare4LeftMiddle.svg", 1329785233, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftRight = load("diff/compare4LeftRight.svg", 558945563, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleBottom = load("diff/compare4MiddleBottom.svg", -631782007, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleRight = load("diff/compare4MiddleRight.svg", 553671710, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4RightBottom = load("diff/compare4RightBottom.svg", -1533479897, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBox = load("diff/gutterCheckBox.svg", 651944782, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxIndeterminate = load("diff/gutterCheckBoxIndeterminate.svg", 1595526253, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxSelected = load("diff/gutterCheckBoxSelected.svg", 562334641, 2);
    /** 16x16 */ public static final @NotNull Icon Lock = load("diff/lock.svg", 1322773714, 2);
    /** 12x12 */ public static final @NotNull Icon MagicResolve = load("diff/magicResolve.svg", -159692822, 2);
    /** 16x16 */ public static final @NotNull Icon MagicResolveToolbar = load("diff/magicResolveToolbar.svg", -1954865286, 2);
    /** 12x12 */ public static final @NotNull Icon Remove = load("diff/remove.svg", 1237753936, 2);
    /** 12x12 */ public static final @NotNull Icon Revert = load("diff/revert.svg", -755796507, 2);
  }

  public static final class Duplicates {
    /** 16x16 */ public static final @NotNull Icon SendToTheLeft = load("duplicates/sendToTheLeft.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheLeftGrayed = load("duplicates/sendToTheLeftGrayed.png", 0, 7);
    /** 16x16 */ public static final @NotNull Icon SendToTheRight = load("duplicates/sendToTheRight.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheRightGrayed = load("duplicates/sendToTheRightGrayed.png", 0, 7);
  }

  public static final class FileTypes {
    /** 16x16 */ public static final @NotNull Icon AddAny = load("fileTypes/addAny.svg", -924781948, 0);
    /** 16x16 */ public static final @NotNull Icon Any_type = load("fileTypes/any_type.svg", -263110843, 0);
    /** 16x16 */ public static final @NotNull Icon Archive = load("fileTypes/archive.svg", -790391952, 0);
    /** 16x16 */ public static final @NotNull Icon AS = load("fileTypes/as.svg", -1444840447, 0);
    /** 16x16 */ public static final @NotNull Icon Aspectj = load("fileTypes/aspectj.svg", -752708069, 0);
    /** 16x16 */ public static final @NotNull Icon Config = load("fileTypes/config.svg", -1913595554, 0);
    /** 16x16 */ public static final @NotNull Icon Css = load("fileTypes/css.svg", -266880323, 0);
    /** 16x16 */ public static final @NotNull Icon Custom = load("fileTypes/custom.svg", -457577451, 0);
    /** 16x16 */ public static final @NotNull Icon Diagram = load("fileTypes/diagram.svg", -2633060, 0);
    /** 16x16 */ public static final @NotNull Icon Dtd = load("fileTypes/dtd.svg", -1395251110, 0);
    /** 16x16 */ public static final @NotNull Icon Hprof = load("fileTypes/hprof.svg", 1957175813, 0);
    /** 16x16 */ public static final @NotNull Icon Htaccess = load("fileTypes/htaccess.svg", -89780679, 0);
    /** 16x16 */ public static final @NotNull Icon Html = load("fileTypes/html.svg", -1915585232, 0);
    /** 16x16 */ public static final @NotNull Icon Idl = load("fileTypes/idl.svg", -576773759, 0);
    /** 16x16 */ public static final @NotNull Icon Image = load("fileTypes/image.svg", -1773595662, 0);
    /** 16x16 */ public static final @NotNull Icon Java = load("fileTypes/java.svg", 1462870962, 0);
    /** 16x16 */ public static final @NotNull Icon JavaClass = load("fileTypes/javaClass.svg", -2030301159, 0);
    /** 16x16 */ public static final @NotNull Icon JavaOutsideSource = load("fileTypes/javaOutsideSource.svg", 2071839389, 0);
    /** 16x16 */ public static final @NotNull Icon JavaScript = load("fileTypes/javaScript.svg", -2041398182, 0);
    /** 16x16 */ public static final @NotNull Icon Jfr = load("fileTypes/jfr.svg", 436928337, 0);
    /** 16x16 */ public static final @NotNull Icon Json = load("fileTypes/json.svg", -1635099308, 2);
    /** 16x16 */ public static final @NotNull Icon JsonSchema = load("fileTypes/jsonSchema.svg", -48316149, 2);
    /** 16x16 */ public static final @NotNull Icon Jsp = load("fileTypes/jsp.svg", 2139001714, 0);
    /** 16x16 */ public static final @NotNull Icon Jspx = load("fileTypes/jspx.svg", -1803245367, 0);
    /** 16x16 */ public static final @NotNull Icon Manifest = load("fileTypes/manifest.svg", 176581791, 0);
    /** 16x16 */ public static final @NotNull Icon Properties = load("fileTypes/properties.svg", -1878943591, 0);
    /** 16x16 */ public static final @NotNull Icon Regexp = load("fileTypes/regexp.svg", 1086120560, 0);
    /** 16x16 */ public static final @NotNull Icon Text = load("fileTypes/text.svg", 1962042667, 0);
    /** 16x16 */ public static final @NotNull Icon UiForm = load("fileTypes/uiForm.svg", 245648686, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("fileTypes/unknown.svg", 137267423, 0);
    /** 16x16 */ public static final @NotNull Icon WsdlFile = load("fileTypes/wsdlFile.svg", -1001235750, 0);
    /** 16x16 */ public static final @NotNull Icon Xhtml = load("fileTypes/xhtml.svg", -443881762, 0);
    /** 16x16 */ public static final @NotNull Icon Xml = load("fileTypes/xml.svg", 640950068, 0);
    /** 16x16 */ public static final @NotNull Icon XsdFile = load("fileTypes/xsdFile.svg", -1530709266, 0);
    /** 16x16 */ public static final @NotNull Icon Yaml = load("fileTypes/yaml.svg", 2033200645, 0);
  }

  public static final class General {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("general/actualZoom.svg", -867514115, 2);
    /** 16x16 */ public static final @NotNull Icon Add = load("general/add.svg", -799336732, 2);
    /** 16x16 */ public static final @NotNull Icon AddJdk = load("general/addJdk.svg", -1291036179, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowDown = load("general/arrowDown.svg", -796488875, 2);
    /** 9x5 */ public static final @NotNull Icon ArrowDownSmall = load("general/arrowDownSmall.svg", -1882661862, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeft = load("general/arrowLeft.svg", 576018012, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowRight = load("general/arrowRight.svg", 391759309, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterH = load("general/arrowSplitCenterH.svg", -44005449, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterV = load("general/arrowSplitCenterV.svg", -1624598867, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowUp = load("general/arrowUp.svg", -938639106, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollFromSource = load("general/autoscrollFromSource.svg", -1715923595, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollToSource = load("general/autoscrollToSource.svg", -1363496699, 2);
    /** 16x16 */ public static final @NotNull Icon Balloon = load("general/balloon.svg", -741350850, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonError = load("general/balloonError.svg", 291779303, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonInformation = load("general/balloonInformation.svg", -302402138, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonWarning = load("general/balloonWarning.svg", 1287561739, 2);
    /** 12x12 */ public static final @NotNull Icon BalloonWarning12 = load("general/balloonWarning12.svg", -1899810944, 2);
    /** 32x15 */ public static final @NotNull Icon Beta = load("general/beta.svg", 447744228, 0);
    /** 8x4 */ public static final @NotNull Icon ButtonDropTriangle = load("general/buttonDropTriangle.svg", -359871567, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDown = load("general/chevron-down.svg", 115257209, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronLeft = load("general/chevron-left.svg", -959098562, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronRight = load("general/chevron-right.svg", -469971047, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronUp = load("general/chevron-up.svg", 1577372404, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponent = load("general/collapseComponent.svg", 1243319113, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponentHover = load("general/collapseComponentHover.svg", -2090787769, 0);
    /** 16x16 */ public static final @NotNull Icon ContextHelp = load("general/contextHelp.svg", -996678686, 0);
    /** 16x16 */ public static final @NotNull Icon CopyHovered = load("general/copyHovered.svg", -1014376098, 0);
    /** 2x19 */ public static final @NotNull Icon Divider = load("general/divider.svg", 1209844898, 2);
    /** 16x16 */ public static final @NotNull Icon Dropdown = load("general/dropdown.svg", 356596105, 2);
    /** 13x13 */ public static final @NotNull Icon DropdownGutter = load("general/dropdownGutter.svg", 1354545056, 2);
    /** 2x20 */ public static final @NotNull Icon DropPlace = load("general/dropPlace.svg", 595434598, 2);
    /** 9x9 */ public static final @NotNull Icon Ellipsis = load("general/ellipsis.svg", 760984708, 2);
    /** 16x16 */ public static final @NotNull Icon Error = load("general/error.svg", -1844172395, 0);
    /** 32x32 */ public static final @NotNull Icon ErrorDialog = load("general/errorDialog.svg", 1884107777, 0);
    /** 16x16 */ public static final @NotNull Icon ExclMark = load("general/exclMark.svg", 1372227485, 2);
    /** 16x16 */ public static final @NotNull Icon ExpandComponent = load("general/expandComponent.svg", -140850217, 0);
    /** 16x16 */ public static final @NotNull Icon ExpandComponentHover = load("general/expandComponentHover.svg", 543901635, 0);
    /** 16x16 */ public static final @NotNull Icon ExternalTools = load("general/externalTools.svg", 1500415313, 2);
    /** 16x16 */ public static final @NotNull Icon Filter = load("general/filter.svg", 1826877765, 2);
    /** 16x16 */ public static final @NotNull Icon FitContent = load("general/fitContent.svg", -73423021, 2);
    /** 16x16 */ public static final @NotNull Icon Gear = load("general/gear.svg", 926675244, 0);
    /** 16x16 */ public static final @NotNull Icon GearHover = load("general/gearHover.svg", 1978288181, 0);
    /** 16x16 */ public static final @NotNull Icon GearPlain = load("general/gearPlain.svg", -374982681, 2);
    /** 16x16 */ public static final @NotNull Icon HideToolWindow = load("general/hideToolWindow.svg", -1967104045, 2);
    /** 16x16 */ public static final @NotNull Icon ImplementingMethod = load("general/implementingMethod.svg", 1084551604, 1);
    /** 16x16 */ public static final @NotNull Icon Information = load("general/information.svg", -1408959248, 0);
    /** 32x32 */ public static final @NotNull Icon InformationDialog = load("general/informationDialog.svg", 1431136062, 0);
    /** 16x16 */ public static final @NotNull Icon InheritedMethod = load("general/inheritedMethod.svg", -1982741842, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit = load("general/inline_edit.svg", -1313274803, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit_hovered = load("general/inline_edit_hovered.svg", -687668951, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAdd = load("general/inlineAdd.svg", 1311959059, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAddHover = load("general/inlineAddHover.svg", -426598288, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopy = load("general/inlineCopy.svg", -909569601, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopyHover = load("general/inlineCopyHover.svg", -149212068, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefresh = load("general/inlineRefresh.svg", -1691080955, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefreshHover = load("general/inlineRefreshHover.svg", -435126575, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariables = load("general/inlineVariables.svg", 378127453, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariablesHover = load("general/inlineVariablesHover.svg", 1178249001, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsError = load("general/inspectionsError.svg", -595970914, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsErrorEmpty = load("general/inspectionsErrorEmpty.svg", 535744538, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsEye = load("general/inspectionsEye.svg", -1426240435, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsMixed = load("general/inspectionsMixed.svg", -1566954381, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsOK = load("general/inspectionsOK.svg", 325121905, 2);
    /** 16x17 */ public static final @NotNull Icon InspectionsOKEmpty = load("general/inspectionsOKEmpty.svg", -985229478, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPause = load("general/inspectionsPause.svg", 1090911904, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPowerSaveMode = load("general/inspectionsPowerSaveMode.svg", 1393919781, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsTrafficOff = load("general/inspectionsTrafficOff.svg", -1462287944, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsTypos = load("general/inspectionsTypos.svg", 798653246, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarning = load("general/inspectionsWarning.svg", 583013199, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarningEmpty = load("general/inspectionsWarningEmpty.svg", 1824280457, 0);
    /** 16x16 */ public static final @NotNull Icon Layout = load("general/layout.svg", 1522124392, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorOnly = load("general/layoutEditorOnly.svg", 1835163563, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorPreview = load("general/layoutEditorPreview.svg", -1351549836, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutPreviewOnly = load("general/layoutPreviewOnly.svg", -1742300552, 2);
    /** 14x14 */ public static final @NotNull Icon LinkDropTriangle = load("general/linkDropTriangle.svg", -1715079667, 2);
    /** 16x16 */ public static final @NotNull Icon LocalizationSettings = load("general/localizationSettings.svg", -1279119815, 0);
    /** 16x16 */ public static final @NotNull Icon Locate = load("general/locate.svg", 832890280, 2);
    /** 13x13 */ public static final @NotNull Icon Modified = load("general/modified.svg", 728113861, 2);
    /** 13x13 */ public static final @NotNull Icon ModifiedSelected = load("general/modifiedSelected.svg", 863766885, 0);
    /** 16x16 */ public static final @NotNull Icon MoreTabs = load("general/moreTabs.svg", -2086265515, 2);
    /** 16x16 */ public static final @NotNull Icon Mouse = load("general/mouse.svg", 230628119, 2);
    /** 16x16 */ public static final @NotNull Icon Note = load("general/note.svg", 2088118124, 0);
    /** 24x24 */ public static final @NotNull Icon NotificationError = load("general/notificationError.svg", 1031676811, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationInfo = load("general/notificationInfo.svg", -609466235, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationWarning = load("general/notificationWarning.svg", -932224773, 2);
    /** 16x16 */ public static final @NotNull Icon OpenDisk = load("general/openDisk.svg", -1777856637, 0);
    /** 16x16 */ public static final @NotNull Icon OpenDiskHover = load("general/openDiskHover.svg", 984070725, 0);
    /** 16x16 */ public static final @NotNull Icon OpenInToolWindow = load("general/openInToolWindow.svg", 1347140022, 2);
    /** 16x16 */ public static final @NotNull Icon OverridenMethod = load("general/overridenMethod.svg", 1128977226, 0);
    /** 16x16 */ public static final @NotNull Icon OverridingMethod = load("general/overridingMethod.svg", 2036606985, 0);
    /** 16x16 */ public static final @NotNull Icon Pin_tab = load("general/pin_tab.svg", -1419049666, 2);
    /** 16x16 */ public static final @NotNull Icon Print = load("general/print.svg", -1274029702, 2);
    /** 9x9 */ public static final @NotNull Icon ProjectConfigurable = load("general/projectConfigurable.svg", -98848338, 0);
    /** 16x16 */ public static final @NotNull Icon ProjectStructure = load("general/projectStructure.svg", 669481493, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectTab = load("general/projectTab.svg", -2096227413, 0);
    /** 32x32 */ public static final @NotNull Icon QuestionDialog = load("general/questionDialog.svg", -121210522, 0);
    /** 16x16 */ public static final @NotNull Icon ReaderMode = load("general/readerMode.svg", 1689730141, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("general/remove.svg", -1087877067, 2);
    /** 16x16 */ public static final @NotNull Icon Reset = load("general/reset.svg", -1445371045, 2);
    /** 16x16 */ public static final @NotNull Icon RunWithCoverage = load("general/runWithCoverage.svg", -860989677, 2);
    /** 16x16 */ public static final @NotNull Icon SeparatorH = load("general/separatorH.svg", -177565645, 2);
    /** 16x16 */ public static final @NotNull Icon Settings = load("general/settings.svg", -181526449, 2);
    /** 16x16 */ public static final @NotNull Icon Show_to_implement = load("general/show_to_implement.svg", -2108124172, 7);
    /** 16x16 */ public static final @NotNull Icon ShowInfos = load("general/showInfos.svg", -810614325, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWarning = load("general/showWarning.svg", 1527007721, 2);
    /** 32x32 */ public static final @NotNull Icon SuccessDialog = load("general/successDialog.svg", 1628266447, 0);
    /** 48x48 */ public static final @NotNull Icon SuccessLogin = load("general/successLogin.svg", -1484372571, 0);
    /** 16x16 */ public static final @NotNull Icon TbHidden = load("general/tbHidden.svg", 2122796333, 2);
    /** 16x16 */ public static final @NotNull Icon TbShown = load("general/tbShown.svg", -1233058088, 2);
    /** 32x32 */ public static final @NotNull Icon Tip = load("general/tip.svg", 881700726, 2);
    /** 16x16 */ public static final @NotNull Icon TodoDefault = load("general/todoDefault.svg", -21680473, 0);
    /** 16x16 */ public static final @NotNull Icon TodoImportant = load("general/todoImportant.svg", 2057136636, 0);
    /** 16x16 */ public static final @NotNull Icon TodoQuestion = load("general/todoQuestion.svg", -864160307, 0);
    /** 16x16 */ public static final @NotNull Icon Tree = load("general/tree.svg", -1004192307, 0);
    /** 16x16 */ public static final @NotNull Icon TreeHovered = load("general/treeHovered.svg", -697424068, 0);
    /** 16x16 */ public static final @NotNull Icon TreeSelected = load("general/treeSelected.svg", -2065581008, 0);
    /** 16x16 */ public static final @NotNull Icon User = load("general/user.svg", -1648977267, 0);
    /** 16x16 */ public static final @NotNull Icon Warning = load("general/warning.svg", 1210113332, 2);
    /** 16x16 */ public static final @NotNull Icon WarningDecorator = load("general/warningDecorator.svg", 164225477, 2);
    /** 32x32 */ public static final @NotNull Icon WarningDialog = load("general/warningDialog.svg", 746671015, 0);
    /** 16x16 */ public static final @NotNull Icon Web = load("general/web.svg", 136445320, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("general/zoomIn.svg", -1556493195, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("general/zoomOut.svg", -58332178, 2);
  }

  public static final class Graph {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("graph/actualZoom.svg", -867514115, 2);
    /** 16x16 */ public static final @NotNull Icon Grid = load("graph/grid.svg", 2115271248, 2);
    /** 16x16 */ public static final @NotNull Icon Layout = load("graph/layout.svg", 1522124392, 2);
    /** 16x16 */ public static final @NotNull Icon NodeSelectionMode = load("graph/nodeSelectionMode.svg", -1043015264, 2);
    /** 16x16 */ public static final @NotNull Icon SnapToGrid = load("graph/snapToGrid.svg", 2110200885, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("graph/zoomIn.svg", -1556493195, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("graph/zoomOut.svg", -58332178, 2);
  }

  public static final class Gutter {
    /** 12x12 */ public static final @NotNull Icon Bookmark = load("gutter/bookmark.svg", 513977077, 2);
    /** 12x12 */ public static final @NotNull Icon Colors = load("gutter/colors.svg", 1069737381, 2);
    /** 12x12 */ public static final @NotNull Icon DataSchema = load("gutter/dataSchema.svg", -792350833, 0);
    /** 12x12 */ public static final @NotNull Icon ExtAnnotation = load("gutter/extAnnotation.svg", -2121250873, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementedMethod = load("gutter/implementedMethod.svg", -1597304969, 7);
    /** 12x12 */ public static final @NotNull Icon ImplementingFunctionalInterface = load("gutter/implementingFunctionalInterface.svg", 445440356, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementingMethod = load("gutter/implementingMethod.svg", 381849536, 7);
    /** 12x12 */ public static final @NotNull Icon Java9Service = load("gutter/java9Service.svg", -119253036, 2);
    /** 12x12 */ public static final @NotNull Icon JavadocEdit = load("gutter/javadocEdit.svg", -576014775, 0);
    /** 12x12 */ public static final @NotNull Icon JavadocRead = load("gutter/javadocRead.svg", -1184969638, 0);
    /** 12x12 */ public static final @NotNull Icon Mnemonic = load("gutter/mnemonic.svg", 1411571632, 2);
    /** 12x12 */ public static final @NotNull Icon OverridenMethod = load("gutter/overridenMethod.svg", -1494538661, 2);
    /** 12x12 */ public static final @NotNull Icon OverridingMethod = load("gutter/overridingMethod.svg", -1391102514, 2);
    /** 12x12 */ public static final @NotNull Icon ReadAccess = load("gutter/readAccess.svg", -87618125, 2);
    /** 12x12 */ public static final @NotNull Icon RecursiveMethod = load("gutter/recursiveMethod.svg", 159681542, 2);
    /** 12x12 */ public static final @NotNull Icon SiblingInheritedMethod = load("gutter/siblingInheritedMethod.svg", 1430018519, 7);
    /** 12x12 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("gutter/suggestedRefactoringBulb.svg", 1891699109, 2);
    /** 13x12 */ public static final @NotNull Icon SuggestedRefactoringBulbDisabled = load("gutter/suggestedRefactoringBulbDisabled.svg", -994766824, 2);
    /** 8x8 */ public static final @NotNull Icon Unique = load("gutter/unique.svg", 903273571, 2);
    /** 12x12 */ public static final @NotNull Icon WriteAccess = load("gutter/writeAccess.svg", -633965204, 2);
  }

  public static final class Hierarchy {
    /** 16x16 */ public static final @NotNull Icon Class = load("hierarchy/class.svg", -448380636, 2);
    /** 8x8 */ public static final @NotNull Icon MethodDefined = load("hierarchy/methodDefined.svg", -1838978865, 2);
    /** 8x8 */ public static final @NotNull Icon MethodNotDefined = load("hierarchy/methodNotDefined.svg", 1679293028, 2);
    /** 8x8 */ public static final @NotNull Icon ShouldDefineMethod = load("hierarchy/shouldDefineMethod.svg", -1228832633, 2);
    /** 16x16 */ public static final @NotNull Icon Subtypes = load("hierarchy/subtypes.svg", -1713124771, 2);
    /** 16x16 */ public static final @NotNull Icon Supertypes = load("hierarchy/supertypes.svg", 1107946090, 2);
  }

  public static final class Icons {
    public static final class Ide {
      /** 12x12 */ public static final @NotNull Icon MenuArrow = load("icons/ide/menuArrow.svg", -237167436, 2);
      /** 12x12 */ public static final @NotNull Icon MenuArrowSelected = load("icons/ide/menuArrowSelected.svg", -443691310, 2);
      /** 12x12 */ public static final @NotNull Icon NextStep = load("icons/ide/nextStep.svg", 986986305, 2);
      /** 12x12 */ public static final @NotNull Icon NextStepInverted = load("icons/ide/nextStepInverted.svg", 1559896441, 0);
    }
  }

  public static final class Ide {
    /** 16x16 */ public static final @NotNull Icon ConfigFile = load("ide/configFile.svg", -994638029, 2);
    /** 20x20 */ public static final @NotNull Icon Dislike = load("ide/dislike.svg", 828813353, 2);
    /** 20x20 */ public static final @NotNull Icon DislikeDimmed = load("ide/dislikeDimmed.svg", -2021339426, 2);
    /** 20x20 */ public static final @NotNull Icon DislikeSelected = load("ide/dislikeSelected.svg", -914739689, 2);
    /** 6x6 */ public static final @NotNull Icon ErrorPoint = load("ide/errorPoint.svg", 491985845, 2);
    /** 14x14 */ public static final @NotNull Icon External_link_arrow = load("ide/external_link_arrow.svg", 1309507344, 0);
    /** 16x16 */ public static final @NotNull Icon FatalErrorRead = load("ide/fatalError-read.svg", -1900173199, 2);
    /** 16x16 */ public static final @NotNull Icon FatalError = load("ide/fatalError.svg", 818743519, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRating = load("ide/feedbackRating.svg", 1171452201, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocused = load("ide/feedbackRatingFocused.svg", 144085415, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocusedOn = load("ide/feedbackRatingFocusedOn.svg", 415327198, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOn = load("ide/feedbackRatingOn.svg", -466670852, 0);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOnFocused = load("ide/feedbackRatingOnFocused.svg", 677633181, 0);
    /** 16x16 */ public static final @NotNull Icon Gift = load("ide/gift.svg", 920784839, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOff = load("ide/hectorOff.svg", -1388325328, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOn = load("ide/hectorOn.svg", 220923089, 2);
    /** 16x16 */ public static final @NotNull Icon HectorSyntax = load("ide/hectorSyntax.svg", -1313335978, 2);
    /** 16x16 */ public static final @NotNull Icon IncomingChangesOn = load("ide/incomingChangesOn.svg", -1555010915, 2);
    /** 20x20 */ public static final @NotNull Icon Like = load("ide/like.svg", 1566948604, 2);
    /** 20x20 */ public static final @NotNull Icon LikeDimmed = load("ide/likeDimmed.svg", 181818672, 2);
    /** 20x20 */ public static final @NotNull Icon LikeSelected = load("ide/likeSelected.svg", 1849337275, 2);
    /** 12x12 */ public static final @NotNull Icon Link = load("ide/link.svg", 809652591, 2);
    /** 16x16 */ public static final @NotNull Icon LocalScope = load("ide/localScope.svg", 753564473, 0);
    /** 16x16 */ public static final @NotNull Icon LocalScopeAction = load("ide/localScopeAction.svg", -1903592546, 2);

    public static final class Macro {
      /** 16x16 */ public static final @NotNull Icon Recording_1 = load("ide/macro/recording_1.svg", -810318324, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_2 = load("ide/macro/recording_2.svg", 507986059, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_3 = load("ide/macro/recording_3.svg", 1401257976, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_4 = load("ide/macro/recording_4.svg", 60105616, 2);
    }

    /** 5x15 */ public static final @NotNull Icon NavBarSeparator = load("ide/NavBarSeparator.svg", 518328257, 0);

    public static final class Notification {
      /** 16x16 */ public static final @NotNull Icon Close = load("ide/notification/close.svg", 1191546145, 0);
      /** 16x16 */ public static final @NotNull Icon CloseHover = load("ide/notification/closeHover.svg", -279127990, 0);
      /** 16x16 */ public static final @NotNull Icon Collapse = load("ide/notification/collapse.svg", 1530021923, 0);
      /** 16x16 */ public static final @NotNull Icon CollapseHover = load("ide/notification/collapseHover.svg", -1655699324, 0);
      /** 16x16 */ public static final @NotNull Icon DropTriangle = load("ide/notification/dropTriangle.svg", 1815154914, 0);
      /** 16x16 */ public static final @NotNull Icon ErrorEvents = load("ide/notification/errorEvents.svg", 765904016, 2);
      /** 16x16 */ public static final @NotNull Icon Expand = load("ide/notification/expand.svg", -365562842, 0);
      /** 16x16 */ public static final @NotNull Icon ExpandHover = load("ide/notification/expandHover.svg", -1759387184, 0);
      /** 16x16 */ public static final @NotNull Icon Gear = load("ide/notification/gear.svg", -1683188004, 0);
      /** 16x16 */ public static final @NotNull Icon GearHover = load("ide/notification/gearHover.svg", -1176410716, 0);
      /** 16x16 */ public static final @NotNull Icon IdeUpdate = load("ide/notification/ideUpdate.svg", -1426790345, 2);
      /** 16x16 */ public static final @NotNull Icon InfoEvents = load("ide/notification/infoEvents.svg", 593266114, 2);
      /** 16x16 */ public static final @NotNull Icon NoEvents = load("ide/notification/noEvents.svg", -633671909, 2);
      /** 16x16 */ public static final @NotNull Icon PluginUpdate = load("ide/notification/pluginUpdate.svg", -1818553732, 2);
      /** 16x16 */ public static final @NotNull Icon WarningEvents = load("ide/notification/warningEvents.svg", -2120320189, 2);
    }

    /** 16x16 */ public static final @NotNull Icon OutgoingChangesOn = load("ide/outgoingChangesOn.svg", 975954043, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette = load("ide/pipette.svg", -1021305504, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette_rollover = load("ide/pipette_rollover.svg", -781967709, 2);
    /** 16x16 */ public static final @NotNull Icon PowerSaveMode = load("ide/powerSaveMode.svg", -1013504967, 2);
    /** 11x11 */ public static final @NotNull Icon Rating = load("ide/rating.svg", 2126330814, 2);
    /** 11x11 */ public static final @NotNull Icon Rating1 = load("ide/rating1.svg", -647322813, 2);
    /** 11x11 */ public static final @NotNull Icon Rating2 = load("ide/rating2.svg", 1373288040, 2);
    /** 11x11 */ public static final @NotNull Icon Rating3 = load("ide/rating3.svg", 1964813524, 2);
    /** 11x11 */ public static final @NotNull Icon Rating4 = load("ide/rating4.svg", 2124778320, 2);
    /** 16x16 */ public static final @NotNull Icon Readonly = load("ide/readonly.svg", -1144181268, 2);
    /** 16x16 */ public static final @NotNull Icon Readwrite = load("ide/readwrite.svg", -1382878133, 2);

    public static final class RoundShadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/roundShadow/bottom.svg", 1987692446, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/roundShadow/bottomLeft.svg", 214172555, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/roundShadow/bottomRight.svg", 1507766380, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/roundShadow/left.svg", -1655889573, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/roundShadow/right.svg", 1974877312, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/roundShadow/top.svg", -1821909349, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/roundShadow/topLeft.svg", 2064148487, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/roundShadow/topRight.svg", 284481723, 0);
    }

    public static final class RunAnything {
      /** 16x16 */ public static final @NotNull Icon OpenRecentProject = load("ide/runAnything/openRecentProject.svg", 467761433, 0);
    }

    public static final class Shadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/shadow/bottom.svg", 217588976, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/shadow/bottomLeft.svg", 80612996, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/shadow/bottomRight.svg", -1299627510, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/shadow/left.svg", -933583752, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/shadow/right.svg", -1098337840, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/shadow/top.svg", -2081312798, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/shadow/topLeft.svg", -773910846, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/shadow/topRight.svg", -1239679674, 0);
    }

    /** 7x10 */ public static final @NotNull Icon Statusbar_arrows = load("ide/statusbar_arrows.svg", 603211828, 2);
    /** 16x16 */ public static final @NotNull Icon UpDown = load("ide/upDown.svg", 1748010569, 2);
  }

  /** 100x100 */ public static final @NotNull Icon Idea_logo_welcome = load("idea_logo_welcome.png", 0, 0);

  public static final class Javaee {
    /** 16x16 */ public static final @NotNull Icon Home = load("javaee/home.svg", 586119356, 0);
    /** 16x16 */ public static final @NotNull Icon PersistenceEntity = load("javaee/persistenceEntity.svg", -1551323428, 0);
    /** 16x16 */ public static final @NotNull Icon UpdateRunningApplication = load("javaee/updateRunningApplication.svg", 1889701189, 2);
    /** 16x16 */ public static final @NotNull Icon WebModuleGroup = load("javaee/webModuleGroup.svg", -2025357190, 0);
    /** 16x16 */ public static final @NotNull Icon WebService = load("javaee/WebService.svg", 2133734900, 0);
    /** 16x16 */ public static final @NotNull Icon WebServiceClient = load("javaee/WebServiceClient.svg", 458235371, 0);
  }

  public static final class Json {
    /** 16x16 */ public static final @NotNull Icon Array = load("json/array.svg", -549741558, 2);
    /** 16x16 */ public static final @NotNull Icon Object = load("json/object.svg", -998576100, 2);
  }

  public static final class Linux {
    /** 16x16 */ public static final @NotNull Icon Linux = load("linux/linux.svg", 1537000687, 2);
  }

  public static final class Mac {
    /** 55x55 */ public static final @NotNull Icon AppIconOk512 = load("mac/appIconOk512.png", 0, 0);

    public static final class Touchbar {
      /** 16x16 */ public static final @NotNull Icon PopoverArrow = load("mac/touchbar/popoverArrow.svg", -12532602, 0);
      /** 24x24 */ public static final @NotNull Icon PopoverClose = load("mac/touchbar/popoverClose.svg", -907032869, 0);
    }
  }

  public static final class Modules {
    /** 16x16 */ public static final @NotNull Icon AddExcludedRoot = load("modules/addExcludedRoot.svg", 180568749, 2);
    /** 16x16 */ public static final @NotNull Icon Annotation = load("modules/annotation.svg", 1548484682, 0);
    /** 16x16 */ public static final @NotNull Icon EditFolder = load("modules/editFolder.svg", 1796480482, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedGeneratedRoot = load("modules/excludedGeneratedRoot.svg", -416056544, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludeRoot = load("modules/excludeRoot.svg", 2065465751, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("modules/generatedFolder.svg", -28086770, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedSourceRoot = load("modules/generatedSourceRoot.svg", -863602767, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedTestRoot = load("modules/generatedTestRoot.svg", -1116355475, 0);
    /** 16x16 */ public static final @NotNull Icon ResourcesRoot = load("modules/resourcesRoot.svg", -1123506285, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRoot = load("modules/sourceRoot.svg", -2112908936, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRootFileLayer = load("modules/sourceRootFileLayer.svg", -797868537, 0);
    /** 16x16 */ public static final @NotNull Icon Split = load("modules/split.svg", -860981044, 2);
    /** 16x16 */ public static final @NotNull Icon TestResourcesRoot = load("modules/testResourcesRoot.svg", 1623049676, 0);
    /** 16x16 */ public static final @NotNull Icon TestRoot = load("modules/testRoot.svg", 1559118798, 0);
    /** 16x16 */ public static final @NotNull Icon UnloadedModule = load("modules/unloadedModule.svg", 341648772, 0);
    /** 16x16 */ public static final @NotNull Icon UnmarkWebroot = load("modules/unmarkWebroot.svg", 1602880848, 0);
  }

  public static final class Nodes {
    /** 16x16 */ public static final @NotNull Icon AbstractClass = load("nodes/abstractClass.svg", 2025355874, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractException = load("nodes/abstractException.svg", -1711706623, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractMethod = load("nodes/abstractMethod.svg", 45810916, 1);
    /** 16x16 */ public static final @NotNull Icon Alias = load("nodes/alias.svg", 1569749152, 0);
    /** 16x16 */ public static final @NotNull Icon Annotationtype = load("nodes/annotationtype.svg", 1143465909, 0);
    /** 16x16 */ public static final @NotNull Icon AnonymousClass = load("nodes/anonymousClass.svg", 1674890922, 0);
    /** 16x16 */ public static final @NotNull Icon Artifact = load("nodes/artifact.svg", -318032332, 0);
    /** 16x16 */ public static final @NotNull Icon Aspect = load("nodes/aspect.svg", 1272301256, 0);
    /** 16x16 */ public static final @NotNull Icon Bookmark = load("nodes/bookmark.svg", 99663214, 2);
    /** 16x16 */ public static final @NotNull Icon BookmarkGroup = load("nodes/bookmarkGroup.svg", -1855839662, 0);
    /** 16x16 */ public static final @NotNull Icon C_plocal = load("nodes/c_plocal.svg", -309481887, 0);
    /** 16x16 */ public static final @NotNull Icon C_private = load("nodes/c_private.svg", 364343363, 0);
    /** 16x16 */ public static final @NotNull Icon C_protected = load("nodes/c_protected.svg", -1770933503, 0);
    /** 16x16 */ public static final @NotNull Icon C_public = load("nodes/c_public.svg", 834015849, 0);
    /** 16x16 */ public static final @NotNull Icon Class = load("nodes/class.svg", 2024284017, 0);
    /** 16x16 */ public static final @NotNull Icon ClassInitializer = load("nodes/classInitializer.svg", -1201595517, 0);
    /** 16x16 */ public static final @NotNull Icon CompiledClassesFolder = load("nodes/compiledClassesFolder.svg", -1918910656, 0);
    /** 16x16 */ public static final @NotNull Icon ConfigFolder = load("nodes/configFolder.svg", -917034936, 0);
    /** 16x16 */ public static final @NotNull Icon Console = load("nodes/console.svg", 917607160, 0);
    /** 16x16 */ public static final @NotNull Icon Constant = load("nodes/constant.svg", 978066400, 0);
    /** 16x16 */ public static final @NotNull Icon Controller = load("nodes/controller.svg", -670255223, 0);
    /** 16x16 */ public static final @NotNull Icon CopyOfFolder = load("nodes/copyOfFolder.svg", -1860278006, 0);
    /** 16x16 */ public static final @NotNull Icon CustomRegion = load("nodes/customRegion.svg", 2119549673, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_global = load("nodes/cvs_global.svg", 1724443891, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_roots = load("nodes/cvs_roots.svg", 1048101700, 0);
    /** 16x16 */ public static final @NotNull Icon DataColumn = load("nodes/dataColumn.svg", 24010884, 0);
    /** 16x16 */ public static final @NotNull Icon DataSchema = load("nodes/dataSchema.svg", -223164392, 0);
    /** 16x16 */ public static final @NotNull Icon DataTables = load("nodes/DataTables.svg", -1603641235, 0);
    /** 16x16 */ public static final @NotNull Icon Deploy = load("nodes/deploy.svg", -334868624, 0);
    /** 16x16 */ public static final @NotNull Icon Desktop = load("nodes/desktop.svg", -706136644, 2);
    /** 16x16 */ public static final @NotNull Icon DoneMark = load("nodes/doneMark.svg", 425743066, 2);
    /** 16x16 */ public static final @NotNull Icon Editorconfig = load("nodes/editorconfig.svg", 1961161272, 0);
    /** 16x16 */ public static final @NotNull Icon EmptyNode = load("nodes/emptyNode.svg", -1289968034, 0);
    /** 16x16 */ public static final @NotNull Icon EnterpriseProject = load("nodes/enterpriseProject.svg", -968885400, 0);
    /** 16x16 */ public static final @NotNull Icon EntryPoints = load("nodes/entryPoints.svg", 805225340, 0);
    /** 16x16 */ public static final @NotNull Icon Enum = load("nodes/enum.svg", -1836235799, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorIntroduction = load("nodes/errorIntroduction.svg", 173997330, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorMark = load("nodes/errorMark.svg", -811758993, 2);
    /** 16x16 */ public static final @NotNull Icon ExceptionClass = load("nodes/exceptionClass.svg", 566984120, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedFromCompile = load("nodes/excludedFromCompile.svg", 1439577999, 0);
    /** 16x16 */ public static final @NotNull Icon ExtractedFolder = load("nodes/extractedFolder.svg", 1423722700, 0);
    /** 16x16 */ public static final @NotNull Icon Favorite = load("nodes/favorite.svg", -2005287536, 0);
    /** 16x16 */ public static final @NotNull Icon Field = load("nodes/field.svg", 1533721509, 0);
    /** 16x16 */ public static final @NotNull Icon FieldPK = load("nodes/fieldPK.svg", -686718097, 0);
    /** 16x16 */ public static final @NotNull Icon FilePrivate = load("nodes/filePrivate.svg", -425706697, 0);
    /** 16x16 */ public static final @NotNull Icon FinalMark = load("nodes/finalMark.svg", -1332942107, 0);
    /** 16x16 */ public static final @NotNull Icon Folder = load("nodes/folder.svg", -884936868, 0);
    /** 16x16 */ public static final @NotNull Icon Function = load("nodes/function.svg", 107042778, 0);
    /** 16x16 */ public static final @NotNull Icon Gvariable = load("nodes/gvariable.svg", -1357841512, 0);
    /** 16x16 */ public static final @NotNull Icon HomeFolder = load("nodes/homeFolder.svg", -2074732930, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaModule = load("nodes/ideaModule.svg", -1355208761, 0);
    /** 16x16 */ public static final @NotNull Icon IdeaProject = load("nodes/ideaProject.svg", -1387604094, 0);
    /** 16x16 */ public static final @NotNull Icon Include = load("nodes/include.svg", 380093238, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionResults = load("nodes/inspectionResults.svg", 1375275513, 0);
    /** 16x16 */ public static final @NotNull Icon Interface = load("nodes/interface.svg", -1317258031, 1);
    /** 16x16 */ public static final @NotNull Icon J2eeParameter = load("nodes/j2eeParameter.svg", 936037341, 0);
    /** 16x16 */ public static final @NotNull Icon JarDirectory = load("nodes/jarDirectory.svg", -764644707, 0);
    /** 16x16 */ public static final @NotNull Icon JavaDocFolder = load("nodes/javaDocFolder.svg", 1270612073, 0);
    /** 16x16 */ public static final @NotNull Icon JavaModule = load("nodes/javaModule.svg", -383083526, 0);

    public static final class Jsf {
      /** 16x16 */ public static final @NotNull Icon Renderer = load("nodes/jsf/renderer.svg", 285165102, 0);
    }

    /** 16x16 */ public static final @NotNull Icon JunitTestMark = load("nodes/junitTestMark.svg", 124804606, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapAnt = load("nodes/keymapAnt.svg", 1281143862, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapEditor = load("nodes/keymapEditor.svg", -2037540733, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapMainMenu = load("nodes/keymapMainMenu.svg", 471890910, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapOther = load("nodes/keymapOther.svg", 1812038082, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapTools = load("nodes/keymapTools.svg", -1278303695, 0);
    /** 16x16 */ public static final @NotNull Icon Lambda = load("nodes/lambda.svg", -616408447, 0);
    /** 16x16 */ public static final @NotNull Icon Locked = load("nodes/locked.svg", -1119086930, 0);
    /** 16x16 */ public static final @NotNull Icon LogFolder = load("nodes/logFolder.svg", -158765972, 2);
    /** 16x16 */ public static final @NotNull Icon Method = load("nodes/method.svg", -1950125248, 1);
    /** 16x16 */ public static final @NotNull Icon MethodReference = load("nodes/methodReference.svg", 1007380479, 1);
    /** 16x16 */ public static final @NotNull Icon Mnemonic = load("nodes/mnemonic.svg", -1567838831, 2);
    /** 16x16 */ public static final @NotNull Icon ModelClass = load("nodes/modelClass.svg", -337463601, 0);
    /** 16x16 */ public static final @NotNull Icon Models = load("nodes/models.svg", 611052281, 0);
    /** 16x16 */ public static final @NotNull Icon Module = load("nodes/Module.svg", -74315071, 0);
    /** 16x16 */ public static final @NotNull Icon ModuleGroup = load("nodes/moduleGroup.svg", 1871467617, 0);
    /** 16x16 */ public static final @NotNull Icon MultipleTypeDefinitions = load("nodes/multipleTypeDefinitions.svg", -1749022261, 0);
    /** 16x16 */ public static final @NotNull Icon NativeLibrariesFolder = load("nodes/nativeLibrariesFolder.svg", -887343313, 0);
    /** 16x16 */ public static final @NotNull Icon NewParameter = load("nodes/newParameter.svg", 1965003298, 0);
    /** 16x16 */ public static final @NotNull Icon NodePlaceholder = load("nodes/nodePlaceholder.svg", -663423991, 0);
    /** 16x16 */ public static final @NotNull Icon NotFavoriteOnHover = load("nodes/notFavoriteOnHover.svg", -1034548587, 0);
    /** 16x16 */ public static final @NotNull Icon ObjectTypeAttribute = load("nodes/objectTypeAttribute.svg", -372353002, 0);
    /** 16x16 */ public static final @NotNull Icon Package = load("nodes/package.svg", -1134125850, 0);
    /** 16x16 */ public static final @NotNull Icon PackageLocal = load("nodes/packageLocal.svg", 1063910769, 0);
    /** 16x16 */ public static final @NotNull Icon Padlock = load("nodes/padlock.svg", 1416727220, 0);
    /** 16x16 */ public static final @NotNull Icon Parameter = load("nodes/parameter.svg", -790643420, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("nodes/plugin.svg", 528933235, 0);
    /** 16x16 */ public static final @NotNull Icon PluginJB = load("nodes/pluginJB.svg", -1978188964, 0);
    /** 32x32 */ public static final @NotNull Icon PluginLogo = load("nodes/pluginLogo.svg", 228573700, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginnotinstalled = load("nodes/pluginnotinstalled.svg", 444046613, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginobsolete = load("nodes/pluginobsolete.svg", 1014749576, 0);
    /** 16x16 */ public static final @NotNull Icon PluginRestart = load("nodes/pluginRestart.svg", -1105028593, 0);
    /** 16x16 */ public static final @NotNull Icon PpInvalid = load("nodes/ppInvalid.svg", 1445562289, 0);
    /** 16x16 */ public static final @NotNull Icon PpJar = load("nodes/ppJar.svg", -1247241818, 0);
    /** 16x16 */ public static final @NotNull Icon PpJdk = load("nodes/ppJdk.svg", -1228409105, 0);
    /** 16x16 */ public static final @NotNull Icon PpLib = load("nodes/ppLib.svg", -675126695, 0);
    /** 16x16 */ public static final @NotNull Icon PpLibFolder = load("nodes/ppLibFolder.svg", 321386450, 0);
    /** 16x16 */ public static final @NotNull Icon PpWeb = load("nodes/ppWeb.svg", 388567267, 0);
    /** 16x16 */ public static final @NotNull Icon Private = load("nodes/private.svg", -1670052549, 0);
    /** 16x16 */ public static final @NotNull Icon ProcessMark = load("nodes/processMark.svg", -1450652257, 2);
    /** 16x16 */ public static final @NotNull Icon Project = load("nodes/project.svg", 1968095524, 0);
    /** 16x16 */ public static final @NotNull Icon Property = load("nodes/property.svg", -295577412, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyRead = load("nodes/propertyRead.svg", 1936769719, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadStatic = load("nodes/propertyReadStatic.svg", 1680089592, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWrite = load("nodes/propertyReadWrite.svg", 238976145, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWriteStatic = load("nodes/propertyReadWriteStatic.svg", -340218696, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWrite = load("nodes/propertyWrite.svg", 1405374016, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWriteStatic = load("nodes/propertyWriteStatic.svg", -630652123, 0);
    /** 16x16 */ public static final @NotNull Icon Protected = load("nodes/protected.svg", 2034984064, 0);
    /** 16x16 */ public static final @NotNull Icon Public = load("nodes/public.svg", -2123720484, 0);
    /** 16x16 */ public static final @NotNull Icon ReadAccess = load("nodes/read-access.svg", 1674102891, 0);
    /** 16x16 */ public static final @NotNull Icon Record = load("nodes/record.svg", 1534857053, 0);
    /** 16x16 */ public static final @NotNull Icon Related = load("nodes/related.svg", 1397387353, 0);
    /** 16x16 */ public static final @NotNull Icon ResourceBundle = load("nodes/resourceBundle.svg", -1235322589, 0);
    /** 16x16 */ public static final @NotNull Icon RunnableMark = load("nodes/runnableMark.svg", -2019128809, 0);
    /** 16x16 */ public static final @NotNull Icon RwAccess = load("nodes/rw-access.svg", -1405259665, 0);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Rw_access = RwAccess;
    /** 16x16 */ public static final @NotNull Icon SecurityRole = load("nodes/securityRole.svg", 862807901, 0);
    /** 16x16 */ public static final @NotNull Icon Services = load("nodes/services.svg", 150662377, 0);
    /** 16x16 */ public static final @NotNull Icon Servlet = load("nodes/servlet.svg", -292470074, 0);
    /** 16x16 */ public static final @NotNull Icon Shared = load("nodes/shared.svg", -795859098, 0);
    /** 16x16 */ public static final @NotNull Icon SortBySeverity = load("nodes/sortBySeverity.svg", -1404195414, 2);
    /** 16x16 */ public static final @NotNull Icon Static = load("nodes/static.svg", -706761678, 0);
    /** 16x16 */ public static final @NotNull Icon StaticMark = load("nodes/staticMark.svg", 390628026, 0);
    /** 16x16 */ public static final @NotNull Icon Symlink = load("nodes/symlink.svg", -734194433, 0);
    /** 16x16 */ public static final @NotNull Icon TabAlert = load("nodes/tabAlert.svg", 344044890, 0);
    /** 16x16 */ public static final @NotNull Icon TabPin = load("nodes/tabPin.svg", 384871039, 0);
    /** 16x16 */ public static final @NotNull Icon Tag = load("nodes/tag.svg", 1892479035, 0);
    /** 16x16 */ public static final @NotNull Icon Target = load("nodes/target.svg", -831675568, 0);
    /** 16x16 */ public static final @NotNull Icon Template = load("nodes/template.svg", -1045861369, 0);
    /** 16x16 */ public static final @NotNull Icon Test = load("nodes/test.svg", 2043197352, 0);
    /** 16x16 */ public static final @NotNull Icon TestGroup = load("nodes/testGroup.svg", -1881231461, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("nodes/testIgnored.svg", 1704305241, 0);
    /** 16x16 */ public static final @NotNull Icon TestSourceFolder = load("nodes/testSourceFolder.svg", 1457781821, 0);
    /** 16x16 */ public static final @NotNull Icon TextArea = load("nodes/textArea.svg", -2072432637, 0);
    /** 16x16 */ public static final @NotNull Icon Toolbox = load("nodes/toolbox.svg", -1571909709, 0);
    /** 16x16 */ public static final @NotNull Icon Type = load("nodes/type.svg", 502002911, 0);
    /** 16x16 */ public static final @NotNull Icon Undeploy = load("nodes/undeploy.svg", 1678394832, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("nodes/unknown.svg", -120753923, 0);
    /** 16x16 */ public static final @NotNull Icon UnknownJdk = load("nodes/unknownJdk.svg", -337614484, 0);
    /** 16x16 */ public static final @NotNull Icon UpFolder = load("nodes/upFolder.svg", 15425685, 0);
    /** 16x16 */ public static final @NotNull Icon UpLevel = load("nodes/upLevel.svg", -1583124989, 0);
    /** 16x16 */ public static final @NotNull Icon Variable = load("nodes/variable.svg", -482933427, 0);
    /** 16x16 */ public static final @NotNull Icon WarningIntroduction = load("nodes/warningIntroduction.svg", -1269370913, 1);
    /** 16x16 */ public static final @NotNull Icon WarningMark = load("nodes/warningMark.svg", 51740157, 2);
    /** 16x16 */ public static final @NotNull Icon WebFolder = load("nodes/webFolder.svg", -718719657, 0);
    /** 16x16 */ public static final @NotNull Icon Weblistener = load("nodes/weblistener.svg", -118775107, 0);
    /** 16x16 */ public static final @NotNull Icon Word = load("nodes/word.svg", 1103602209, 0);
    /** 16x16 */ public static final @NotNull Icon WriteAccess = load("nodes/write-access.svg", -665745744, 0);
  }

  public static final class ObjectBrowser {
    /** 16x16 */ public static final @NotNull Icon AbbreviatePackageNames = load("objectBrowser/abbreviatePackageNames.svg", 1603397263, 2);
    /** 16x16 */ public static final @NotNull Icon CompactEmptyPackages = load("objectBrowser/compactEmptyPackages.svg", 953612474, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenModules = load("objectBrowser/flattenModules.svg", 7690814, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenPackages = load("objectBrowser/flattenPackages.svg", 565621320, 2);
    /** 16x16 */ public static final @NotNull Icon ShowLibraryContents = load("objectBrowser/showLibraryContents.svg", 1300911190, 2);
    /** 16x16 */ public static final @NotNull Icon ShowMembers = load("objectBrowser/showMembers.svg", -831164912, 0);
    /** 16x16 */ public static final @NotNull Icon SortByType = load("objectBrowser/sortByType.svg", -537034974, 2);
    /** 16x16 */ public static final @NotNull Icon Sorted = load("objectBrowser/sorted.svg", 484279498, 2);
    /** 16x16 */ public static final @NotNull Icon SortedByUsage = load("objectBrowser/sortedByUsage.svg", -1200486161, 2);
    /** 16x16 */ public static final @NotNull Icon VisibilitySort = load("objectBrowser/visibilitySort.svg", 1272922817, 2);
  }

  public static final class Plugins {
    /** 16x16 */ public static final @NotNull Icon Disabled = load("plugins/disabled.svg", 900704947, 0);
    /** 12x12 */ public static final @NotNull Icon Downloads = load("plugins/downloads.svg", -847240694, 2);
    /** 15x15 */ public static final @NotNull Icon ModifierInvalid = load("plugins/modifierInvalid.svg", 617484576, 2);
    /** 40x40 */ public static final @NotNull Icon PluginLogo = load("plugins/pluginLogo.svg", -1626392619, 0);
    /** 40x40 */ public static final @NotNull Icon PluginLogoDisabled = load("plugins/pluginLogoDisabled.svg", -1399082719, 0);
    /** 12x12 */ public static final @NotNull Icon Rating = load("plugins/rating.svg", -82792806, 2);
    /** 12x12 */ public static final @NotNull Icon Updated = load("plugins/updated.svg", 470944997, 2);
  }

  public static final class Process {
    public static final class Big {
      /** 32x32 */ public static final @NotNull Icon Step_1 = load("process/big/step_1.svg", 1995143838, 0);
      /** 32x32 */ public static final @NotNull Icon Step_2 = load("process/big/step_2.svg", -365462853, 0);
      /** 32x32 */ public static final @NotNull Icon Step_3 = load("process/big/step_3.svg", -1428464087, 0);
      /** 32x32 */ public static final @NotNull Icon Step_4 = load("process/big/step_4.svg", -1962849806, 0);
      /** 32x32 */ public static final @NotNull Icon Step_5 = load("process/big/step_5.svg", 1107949945, 0);
      /** 32x32 */ public static final @NotNull Icon Step_6 = load("process/big/step_6.svg", 683327238, 0);
      /** 32x32 */ public static final @NotNull Icon Step_7 = load("process/big/step_7.svg", 934631563, 0);
      /** 32x32 */ public static final @NotNull Icon Step_8 = load("process/big/step_8.svg", -1304591216, 0);
      /** 32x32 */ public static final @NotNull Icon Step_passive = load("process/big/step_passive.svg", -606393453, 0);
    }

    public static final class FS {
      /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/fs/step_1.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_10 = load("process/fs/step_10.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_11 = load("process/fs/step_11.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_12 = load("process/fs/step_12.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_13 = load("process/fs/step_13.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_14 = load("process/fs/step_14.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_15 = load("process/fs/step_15.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_16 = load("process/fs/step_16.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_17 = load("process/fs/step_17.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_18 = load("process/fs/step_18.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/fs/step_2.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/fs/step_3.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/fs/step_4.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/fs/step_5.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/fs/step_6.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/fs/step_7.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/fs/step_8.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_9 = load("process/fs/step_9.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/fs/step_mask.png", 0, 1);
      /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/fs/step_passive.png", 0, 7);
    }

    /** 14x14 */ public static final @NotNull Icon ProgressPause = load("process/progressPause.svg", 990532473, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressPauseHover = load("process/progressPauseHover.svg", 977422974, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmall = load("process/progressPauseSmall.svg", -2053921468, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmallHover = load("process/progressPauseSmallHover.svg", 1919313591, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResume = load("process/progressResume.svg", -1435731264, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResumeHover = load("process/progressResumeHover.svg", -1564828235, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmall = load("process/progressResumeSmall.svg", -1427264593, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmallHover = load("process/progressResumeSmallHover.svg", 89577337, 0);
    /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/step_1.svg", 713447407, 0);
    /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/step_2.svg", 1117813353, 0);
    /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/step_3.svg", 1082656123, 0);
    /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/step_4.svg", 1669506307, 0);
    /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/step_5.svg", -1891031540, 0);
    /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/step_6.svg", -738651016, 0);
    /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/step_7.svg", 1570335472, 0);
    /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/step_8.svg", -540886201, 0);
    /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/step_mask.svg", 28705843, 0);
    /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/step_passive.svg", 1693414554, 0);
    /** 14x14 */ public static final @NotNull Icon Stop = load("process/stop.svg", -255154133, 0);
    /** 14x14 */ public static final @NotNull Icon StopHovered = load("process/stopHovered.svg", -1014956394, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmall = load("process/stopSmall.svg", -1698086277, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmallHovered = load("process/stopSmallHovered.svg", 1842582435, 0);
  }

  public static final class Profiler {
    /** 9x9 */ public static final @NotNull Icon CollapseNode = load("profiler/collapseNode.svg", 514629617, 2);
    /** 9x9 */ public static final @NotNull Icon ExpandNode = load("profiler/expandNode.svg", -471191738, 2);
    /** 12x12 */ public static final @NotNull Icon Rec = load("profiler/rec.svg", 321721744, 2);
  }

  public static final class Providers {
    /** 16x16 */ public static final @NotNull Icon Apache = load("providers/apache.svg", 1209763163, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheDerby = load("providers/apacheDerby.svg", 644013783, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheIgnite = load("providers/apacheIgnite.svg", -970459812, 2);
    /** 16x16 */ public static final @NotNull Icon ApachePhoenix = load("providers/apachePhoenix.svg", 1854686520, 0);
    /** 16x16 */ public static final @NotNull Icon Athena = load("providers/athena.svg", 884587218, 0);
    /** 16x16 */ public static final @NotNull Icon Azure = load("providers/azure.svg", 1472139535, 0);
    /** 16x16 */ public static final @NotNull Icon BigQuery = load("providers/bigQuery.svg", 549148000, 0);
    /** 16x16 */ public static final @NotNull Icon Cassandra = load("providers/cassandra.svg", -221225276, 2);
    /** 16x16 */ public static final @NotNull Icon ClickHouse = load("providers/clickHouse.svg", 595420747, 0);
    /** 16x16 */ public static final @NotNull Icon CockroachDB = load("providers/cockroachDB.svg", -430667188, 0);
    /** 16x16 */ public static final @NotNull Icon Couchbase = load("providers/couchbase.svg", -225293420, 0);
    /** 16x16 */ public static final @NotNull Icon DB2 = load("providers/DB2.svg", 897909310, 2);
    /** 16x16 */ public static final @NotNull Icon DocumentDB = load("providers/documentDB.svg", -1724890635, 2);
    /** 16x16 */ public static final @NotNull Icon DuckDB = load("providers/duckDB.svg", -1924296239, 2);
    /** 16x16 */ public static final @NotNull Icon Eclipse = load("providers/eclipse.svg", 89389487, 2);
    /** 16x16 */ public static final @NotNull Icon Elasticsearch = load("providers/elasticsearch.svg", 904094669, 0);
    /** 16x16 */ public static final @NotNull Icon Exasol = load("providers/exasol.svg", 515023036, 2);
    /** 16x16 */ public static final @NotNull Icon Firebird = load("providers/firebird.svg", 1437520106, 0);
    /** 16x16 */ public static final @NotNull Icon GoogleCloudSpanner = load("providers/googleCloudSpanner.svg", -771386728, 0);
    /** 16x16 */ public static final @NotNull Icon Greenplum = load("providers/greenplum.svg", -918093147, 0);
    /** 16x16 */ public static final @NotNull Icon H2 = load("providers/h2.svg", -1834932482, 2);
    /** 16x16 */ public static final @NotNull Icon HANA = load("providers/HANA.svg", 2019610168, 0);
    /** 16x16 */ public static final @NotNull Icon Hive = load("providers/hive.svg", 87408894, 2);
    /** 16x16 */ public static final @NotNull Icon Hsqldb = load("providers/hsqldb.svg", -497868011, 0);
    /** 16x16 */ public static final @NotNull Icon Ibm = load("providers/ibm.svg", 663266571, 2);
    /** 16x16 */ public static final @NotNull Icon Impala = load("providers/impala.svg", 1296915213, 2);
    /** 16x16 */ public static final @NotNull Icon Informix = load("providers/informix.svg", -870930093, 0);
    /** 16x16 */ public static final @NotNull Icon IntersystemCache = load("providers/intersystemCache.svg", -845442601, 2);
    /** 16x16 */ public static final @NotNull Icon Liquibase = load("providers/liquibase.svg", 809415476, 0);
    /** 16x16 */ public static final @NotNull Icon Mariadb = load("providers/mariadb.svg", 1289988117, 2);
    /** 16x16 */ public static final @NotNull Icon Microsoft = load("providers/microsoft.svg", -1352432604, 0);
    /** 16x17 */ public static final @NotNull Icon MimerSQL = load("providers/mimerSQL.svg", -1040589973, 2);
    /** 16x16 */ public static final @NotNull Icon MongoDB = load("providers/mongoDB.svg", -216362434, 0);
    /** 16x16 */ public static final @NotNull Icon Mysql = load("providers/mysql.svg", 1227525596, 2);
    /** 16x16 */ public static final @NotNull Icon Netezza = load("providers/netezza.svg", -1350973379, 2);
    /** 16x16 */ public static final @NotNull Icon Openedge = load("providers/openedge.svg", -1967190082, 0);
    /** 16x16 */ public static final @NotNull Icon Oracle = load("providers/oracle.svg", -1130804036, 0);
    /** 16x16 */ public static final @NotNull Icon Postgresql = load("providers/postgresql.svg", -1576256784, 2);
    /** 16x16 */ public static final @NotNull Icon Presto = load("providers/presto.svg", 1246961695, 2);
    /** 16x16 */ public static final @NotNull Icon Redis = load("providers/redis.svg", -549273875, 2);
    /** 16x16 */ public static final @NotNull Icon Redshift = load("providers/redshift.svg", -1103452595, 0);
    /** 16x16 */ public static final @NotNull Icon Singlestore = load("providers/singlestore.svg", -1164842203, 0);
    /** 16x16 */ public static final @NotNull Icon Snowflake = load("providers/snowflake.svg", 969764888, 0);
    /** 16x16 */ public static final @NotNull Icon Spark = load("providers/spark.svg", -1133999283, 0);
    /** 16x16 */ public static final @NotNull Icon Sqlite = load("providers/sqlite.svg", -1493390826, 2);
    /** 16x16 */ public static final @NotNull Icon SqlServer = load("providers/sqlServer.svg", -1513872472, 2);
    /** 16x16 */ public static final @NotNull Icon Sun = load("providers/sun.svg", -270516, 2);
    /** 16x16 */ public static final @NotNull Icon Sybase = load("providers/sybase.svg", 122696286, 0);
    /** 16x16 */ public static final @NotNull Icon Tarantool = load("providers/tarantool.svg", -1160590435, 0);
    /** 16x16 */ public static final @NotNull Icon Teradata = load("providers/teradata.svg", -383798959, 0);
    /** 16x16 */ public static final @NotNull Icon Tibero = load("providers/tibero.svg", 798957044, 2);
    /** 16x16 */ public static final @NotNull Icon Tidb = load("providers/tidb.svg", -1369701648, 0);
    /** 16x16 */ public static final @NotNull Icon Trino = load("providers/trino.svg", -1224224693, 2);
    /** 16x16 */ public static final @NotNull Icon Vertica = load("providers/vertica.svg", -1256312705, 2);
    /** 16x16 */ public static final @NotNull Icon Yugabyte = load("providers/yugabyte.svg", -1330402159, 2);
  }

  public static final class RunConfigurations {
    /** 16x16 */ public static final @NotNull Icon Applet = load("runConfigurations/applet.svg", -1390397702, 0);
    /** 16x16 */ public static final @NotNull Icon Application = load("runConfigurations/application.svg", -29834642, 0);
    /** 16x16 */ public static final @NotNull Icon Compound = load("runConfigurations/compound.svg", -1015497511, 0);
    /** 16x16 */ public static final @NotNull Icon HidePassed = load("runConfigurations/hidePassed.svg", 290452619, 2);
    /** 16x16 */ public static final @NotNull Icon IgnoredTest = load("runConfigurations/ignoredTest.svg", 13608509, 2);
    /** 16x16 */ public static final @NotNull Icon InvalidConfigurationLayer = load("runConfigurations/invalidConfigurationLayer.svg", 489284214, 0);
    /** 16x16 */ public static final @NotNull Icon Junit = load("runConfigurations/junit.svg", 1146169457, 0);
    /** 16x16 */ public static final @NotNull Icon Remote = load("runConfigurations/remote.svg", 1191146878, 2);
    /** 16x16 */ public static final @NotNull Icon RemoteDebug = load("runConfigurations/remoteDebug.svg", 1208604012, 2);
    /** 16x16 */ public static final @NotNull Icon RerunFailedTests = load("runConfigurations/rerunFailedTests.svg", -452012056, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_down = load("runConfigurations/scroll_down.svg", 858440746, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_up = load("runConfigurations/scroll_up.svg", -488554946, 2);
    /** 16x16 */ public static final @NotNull Icon ShowIgnored = load("runConfigurations/showIgnored.svg", 207721260, 2);
    /** 16x16 */ public static final @NotNull Icon ShowPassed = load("runConfigurations/showPassed.svg", -309621932, 2);
    /** 16x16 */ public static final @NotNull Icon SortbyDuration = load("runConfigurations/sortbyDuration.svg", -1379636724, 2);
    /** 16x16 */ public static final @NotNull Icon TestCustom = load("runConfigurations/testCustom.svg", 637209169, 0);
    /** 16x16 */ public static final @NotNull Icon TestError = load("runConfigurations/testError.svg", 400804044, 0);
    /** 16x16 */ public static final @NotNull Icon TestFailed = load("runConfigurations/testFailed.svg", 1866522416, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("runConfigurations/testIgnored.svg", 1311370876, 0);
    /** 16x16 */ public static final @NotNull Icon TestMark = load("runConfigurations/testMark.svg", 1446905428, 0);
    /** 16x16 */ public static final @NotNull Icon TestNotRan = load("runConfigurations/testNotRan.svg", 1710628228, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassed = load("runConfigurations/testPassed.svg", 435598417, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassedIgnored = load("runConfigurations/testPassedIgnored.svg", 15807871, 0);
    /** 16x16 */ public static final @NotNull Icon TestPaused = load("runConfigurations/testPaused.svg", -1758015051, 0);
    /** 16x16 */ public static final @NotNull Icon TestSkipped = load("runConfigurations/testSkipped.svg", -957933525, 0);

    public static final class TestState {
      /** 12x12 */ public static final @NotNull Icon Green2 = load("runConfigurations/testState/green2.svg", 534388214, 2);
      /** 12x12 */ public static final @NotNull Icon Red2 = load("runConfigurations/testState/red2.svg", 943693923, 2);
      /** 12x12 */ public static final @NotNull Icon Run = load("runConfigurations/testState/run.svg", 521538947, 2);
      /** 12x12 */ public static final @NotNull Icon Run_run = load("runConfigurations/testState/run_run.svg", -1332573380, 2);
      /** 12x12 */ public static final @NotNull Icon Yellow2 = load("runConfigurations/testState/yellow2.svg", -884925691, 2);
    }

    /** 16x16 */ public static final @NotNull Icon TestTerminated = load("runConfigurations/testTerminated.svg", -1747701802, 0);
    /** 16x16 */ public static final @NotNull Icon TestUnknown = load("runConfigurations/testUnknown.svg", 2026043260, 0);
    /** 16x16 */ public static final @NotNull Icon Tomcat = load("runConfigurations/tomcat.svg", -1203482364, 0);
    /** 16x16 */ public static final @NotNull Icon ToolbarError = load("runConfigurations/toolbarError.svg", 881513047, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarFailed = load("runConfigurations/toolbarFailed.svg", 991278997, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassed = load("runConfigurations/toolbarPassed.svg", -1343338136, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassedIgnored = load("runConfigurations/toolbarPassedIgnored.svg", -1713830535, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarSkipped = load("runConfigurations/toolbarSkipped.svg", 2126068905, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarTerminated = load("runConfigurations/toolbarTerminated.svg", -137361365, 2);
    /** 16x16 */ public static final @NotNull Icon TrackCoverage = load("runConfigurations/trackCoverage.svg", -815505746, 2);
    /** 16x16 */ public static final @NotNull Icon Web_app = load("runConfigurations/web_app.svg", 1802634590, 0);
    /** 16x16 */ public static final @NotNull Icon Wsl = load("runConfigurations/wsl.svg", 1648470895, 2);
  }

  public static final class Scope {
    /** 16x16 */ public static final @NotNull Icon ChangedFiles = load("scope/changedFiles.svg", 1067865974, 0);
    /** 16x16 */ public static final @NotNull Icon ChangedFilesAll = load("scope/changedFilesAll.svg", 1719952788, 0);
    /** 16x16 */ public static final @NotNull Icon Problems = load("scope/problems.svg", -401884572, 0);
    /** 16x16 */ public static final @NotNull Icon Production = load("scope/production.svg", 1646729219, 0);
    /** 16x16 */ public static final @NotNull Icon Scratches = load("scope/scratches.svg", -1903214076, 0);
    /** 16x16 */ public static final @NotNull Icon Tests = load("scope/tests.svg", -2119078488, 0);
  }

  public static final class Status {
    /** 16x16 */ public static final @NotNull Icon FailedInProgress = load("status/failedInProgress.svg", -703906106, 0);
  }

  public static final class Table {
    /** 16x16 */ public static final @NotNull Icon Pagination = load("table/pagination.svg", -1410140236, 2);
  }

  public static final class Toolbar {
    /** 16x16 */ public static final @NotNull Icon AddSlot = load("toolbar/addSlot.svg", -6352611, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("toolbar/collapse.svg", 1725716140, 2);
    /** 16x16 */ public static final @NotNull Icon Expand = load("toolbar/expand.svg", -1713418600, 2);
    /** 16x16 */ public static final @NotNull Icon Filterdups = load("toolbar/filterdups.svg", -1756779880, 2);
    /** 16x16 */ public static final @NotNull Icon Locale = load("toolbar/locale.svg", 896546437, 2);
    /** 16x16 */ public static final @NotNull Icon Pin = load("toolbar/pin.svg", -1932562336, 2);
    /** 16x16 */ public static final @NotNull Icon RemoveSlot = load("toolbar/removeSlot.svg", 1291944492, 2);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("toolbar/unknown.svg", -841892455, 2);
    /** 16x16 */ public static final @NotNull Icon Xcode = load("toolbar/Xcode.svg", -473825931, 2);
  }

  public static final class ToolbarDecorator {
    /** 16x16 */ public static final @NotNull Icon AddBlankLine = load("toolbarDecorator/addBlankLine.svg", -1601945513, 2);
    /** 16x16 */ public static final @NotNull Icon AddClass = load("toolbarDecorator/addClass.svg", -201481866, 2);
    /** 16x16 */ public static final @NotNull Icon AddFolder = load("toolbarDecorator/addFolder.svg", -1181315512, 2);
    /** 16x16 */ public static final @NotNull Icon AddIcon = load("toolbarDecorator/addIcon.svg", -1482159575, 2);
    /** 16x16 */ public static final @NotNull Icon AddJira = load("toolbarDecorator/addJira.svg", 1050543185, 2);
    /** 16x16 */ public static final @NotNull Icon AddLink = load("toolbarDecorator/addLink.svg", 411741727, 2);
    /** 16x16 */ public static final @NotNull Icon AddPattern = load("toolbarDecorator/addPattern.svg", -463250383, 2);
    /** 16x16 */ public static final @NotNull Icon AddRemoteDatasource = load("toolbarDecorator/addRemoteDatasource.svg", -468815641, 2);
    /** 16x16 */ public static final @NotNull Icon AddYouTrack = load("toolbarDecorator/addYouTrack.svg", 381229913, 2);
    /** 16x16 */ public static final @NotNull Icon Export = load("toolbarDecorator/export.svg", -1411086905, 2);
    /** 16x16 */ public static final @NotNull Icon ExportSmall = load("toolbarDecorator/exportSmall.svg", -87605285, 2);
    /** 16x16 */ public static final @NotNull Icon Import = load("toolbarDecorator/import.svg", -897960863, 2);
  }

  public static final class Toolwindows {
    /** 13x13 */ public static final @NotNull Icon Documentation = load("toolwindows/documentation.svg", 868710675, 2);
    /** 13x13 */ public static final @NotNull Icon ErrorEvents = load("toolwindows/errorEvents.svg", 294372222, 2);
    /** 13x13 */ public static final @NotNull Icon InfoEvents = load("toolwindows/infoEvents.svg", -80976327, 2);
    /** 13x13 */ public static final @NotNull Icon NoEvents = load("toolwindows/noEvents.svg", 76195164, 2);
    /** 13x13 */ public static final @NotNull Icon Notifications = load("toolwindows/notifications.svg", -1226846876, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNew = load("toolwindows/notificationsNew.svg", -774828749, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNewImportant = load("toolwindows/notificationsNewImportant.svg", 1978879968, 2);
    /** 13x13 */ public static final @NotNull Icon Problems = load("toolwindows/problems.svg", 971084825, 2);
    /** 13x13 */ public static final @NotNull Icon ProblemsEmpty = load("toolwindows/problemsEmpty.svg", -811469279, 2);
    /** 13x13 */ public static final @NotNull Icon SettingSync = load("toolwindows/settingSync.svg", 1770631837, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnalyzeDataflow = load("toolwindows/toolWindowAnalyzeDataflow.svg", -242105998, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnt = load("toolwindows/toolWindowAnt.svg", 2103017718, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBookmarks = load("toolwindows/toolWindowBookmarks.svg", -179764001, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBuild = load("toolwindows/toolWindowBuild.svg", -1126455338, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowChanges = load("toolwindows/toolWindowChanges.svg", 1686639614, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommander = load("toolwindows/toolWindowCommander.svg", -1036854135, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommit = load("toolwindows/toolWindowCommit.svg", 354845774, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCoverage = load("toolwindows/toolWindowCoverage.svg", -2060838895, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowDebugger = load("toolwindows/toolWindowDebugger.svg", -410209452, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFavorites = load("toolwindows/toolWindowFavorites.svg", 28124440, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFind = load("toolwindows/toolWindowFind.svg", -1030906732, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowHierarchy = load("toolwindows/toolWindowHierarchy.svg", -542536374, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowInspection = load("toolwindows/toolWindowInspection.svg", 1617157173, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowInternal = load("toolwindows/toolWindowInternal.svg", 1722876469, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowJsonPath = load("toolwindows/toolWindowJsonPath.svg", 1716318464, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowMessages = load("toolwindows/toolWindowMessages.svg", 1874030726, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowModuleDependencies = load("toolwindows/toolWindowModuleDependencies.svg", -583620998, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowPalette = load("toolwindows/toolWindowPalette.svg", -45920396, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblems = load("toolwindows/toolWindowProblems.svg", -638034563, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblemsEmpty = load("toolwindows/toolWindowProblemsEmpty.svg", 1872365836, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProfiler = load("toolwindows/toolWindowProfiler.svg", -513603770, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProject = load("toolwindows/toolWindowProject.svg", 979797025, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowRun = load("toolwindows/toolWindowRun.svg", -1978855653, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowServices = load("toolwindows/toolWindowServices.svg", 449554704, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowStructure = load("toolwindows/toolWindowStructure.svg", 39353954, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowTodo = load("toolwindows/toolWindowTodo.svg", 425484983, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowUIDesigner = load("toolwindows/toolWindowUIDesigner.svg", -557121661, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowVariableView = load("toolwindows/toolWindowVariableView.svg", -1682998576, 2);
    /** 13x13 */ public static final @NotNull Icon WarningEvents = load("toolwindows/warningEvents.svg", 713048877, 2);
    /** 13x13 */ public static final @NotNull Icon WebToolWindow = load("toolwindows/webToolWindow.svg", -1661468267, 2);
  }

  public static final class TransferSettings {
    /** 40x40 */ public static final @NotNull Icon Keymap = load("transferSettings/keymap.svg", 330705864, 0);
    /** 40x40 */ public static final @NotNull Icon PluginsAndFeatures = load("transferSettings/pluginsAndFeatures.svg", -1408670444, 0);
    /** 40x40 */ public static final @NotNull Icon RecentProjects = load("transferSettings/recentProjects.svg", 922160179, 0);
    /** 20x20 */ public static final @NotNull Icon Resharper = load("transferSettings/resharper.svg", -1274033923, 0);
    /** 40x40 */ public static final @NotNull Icon Settings = load("transferSettings/settings.svg", 675619677, 0);
    /** 40x40 */ public static final @NotNull Icon VS = load("transferSettings/vs.svg", 831330663, 0);
    /** 40x40 */ public static final @NotNull Icon Vscode = load("transferSettings/vscode.svg", -450706552, 0);
    /** 40x40 */ public static final @NotNull Icon Vsmac = load("transferSettings/vsmac.svg", 813593626, 0);
    /** 40x40 */ public static final @NotNull Icon Xcode = load("transferSettings/xcode.svg", 1180575913, 0);
  }

  public static final class Vcs {
    /** 16x16 */ public static final @NotNull Icon Arrow_left = load("vcs/arrow_left.svg", 1360742605, 2);
    /** 16x16 */ public static final @NotNull Icon Arrow_right = load("vcs/arrow_right.svg", 664846573, 2);
    /** 16x16 */ public static final @NotNull Icon Author = load("vcs/author.svg", 210897829, 0);
    /** 16x16 */ public static final @NotNull Icon Branch = load("vcs/branch.svg", -782427084, 2);
    /** 16x16 */ public static final @NotNull Icon BranchNode = load("vcs/branchNode.svg", 869141752, 0);
    /** 16x16 */ public static final @NotNull Icon Changelist = load("vcs/changelist.svg", 39007582, 2);
    /** 16x16 */ public static final @NotNull Icon Clone = load("vcs/clone.svg", 57129088, 2);
    /** 16x16 */ public static final @NotNull Icon CommitNode = load("vcs/commitNode.svg", 584639500, 0);
    /** 16x16 */ public static final @NotNull Icon Equal = load("vcs/equal.svg", -645257974, 2);
    /** 16x16 */ public static final @NotNull Icon Fetch = load("vcs/fetch.svg", -136705466, 2);
    /** 16x16 */ public static final @NotNull Icon Folders = load("vcs/folders.svg", -207796405, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSDialog = load("vcs/fromVCSDialog.svg", 1022000628, 2);
    /** 16x16 */ public static final @NotNull Icon History = load("vcs/history.svg", 1583899181, 2);
    /** 16x16 */ public static final @NotNull Icon HistoryInline = load("vcs/historyInline.svg", -1517899064, 0);
    /** 16x16 */ public static final @NotNull Icon HistoryInlineHovered = load("vcs/historyInlineHovered.svg", 1017500393, 0);
    /** 16x16 */ public static final @NotNull Icon Ignore_file = load("vcs/ignore_file.svg", -75896685, 2);
    /** 16x16 */ public static final @NotNull Icon Merge = load("vcs/merge.svg", -1428436005, 2);
    /** 16x16 */ public static final @NotNull Icon Not_equal = load("vcs/not_equal.svg", 592659147, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("vcs/patch.svg", 1355089338, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_applied = load("vcs/patch_applied.svg", -2116537783, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_file = load("vcs/patch_file.svg", 1962144973, 0);
    /** 16x16 */ public static final @NotNull Icon Push = load("vcs/push.svg", 1324835679, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("vcs/remove.svg", -1985440678, 2);
    /** 16x16 */ public static final @NotNull Icon Shelve = load("vcs/Shelve.svg", 476964466, 2);
    /** 16x16 */ public static final @NotNull Icon ShelveSilent = load("vcs/shelveSilent.svg", 218194518, 2);
    /** 16x16 */ public static final @NotNull Icon ShowUnversionedFiles = load("vcs/ShowUnversionedFiles.svg", 1615699038, 2);
    /** 16x16 */ public static final @NotNull Icon Stash = load("vcs/Stash.svg", 1985190883, 2);
    /** 16x16 */ public static final @NotNull Icon Unshelve = load("vcs/Unshelve.svg", -1178679037, 2);
    /** 16x16 */ public static final @NotNull Icon UnshelveSilent = load("vcs/unshelveSilent.svg", -1505985057, 2);

    public static final class Vendors {
      /** 16x16 */ public static final @NotNull Icon Github = load("vcs/vendors/github.svg", 1789834739, 2);
    }
  }

  public static final class Webreferences {
    /** 16x16 */ public static final @NotNull Icon MessageQueue = load("webreferences/messageQueue.svg", -308066468, 0);
    /** 16x16 */ public static final @NotNull Icon Server = load("webreferences/server.svg", 56353960, 2);
    /** 16x16 */ public static final @NotNull Icon WebSocket = load("webreferences/webSocket.svg", 65201747, 0);
  }

  public static final class Welcome {
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTab = load("welcome/createNewProjectTab.svg", 458102446, 2);
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTabSelected = load("welcome/createNewProjectTabSelected.svg", -1234710964, 0);
    /** 24x24 */ public static final @NotNull Icon FromVCSTab = load("welcome/fromVCSTab.svg", 1764379578, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSTabSelected = load("welcome/fromVCSTabSelected.svg", -1852096493, 0);

    public static final class LearnTab {
      /** 16x16 */ public static final @NotNull Icon JetBrainsAcademy = load("welcome/learnTab/jetBrainsAcademy.svg", -391515713, 0);
    }

    /** 24x24 */ public static final @NotNull Icon Open = load("welcome/open.svg", -1167853047, 2);
    /** 24x24 */ public static final @NotNull Icon OpenSelected = load("welcome/openSelected.svg", 297876432, 0);

    public static final class Project {
      /** 10x10 */ public static final @NotNull Icon RemoveHover = load("welcome/project/remove-hover.svg", -1138969467, 2);
      /** 10x10 */ public static final @NotNull Icon Remove = load("welcome/project/remove.svg", -1344345313, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabledHover = load("welcome/project/removeDisabled-hover.svg", 225648199, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabled = load("welcome/project/removeDisabled.svg", 693821036, 2);
    }

    /** @deprecated to be removed */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon CreateNewProject = load("welcome/createNewProject.svg", 0, 0);
  }

  public static final class Windows {
    /** 16x16 */ public static final @NotNull Icon CloseActive = load("windows/closeActive.svg", -1493789304, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHover = load("windows/closeHover.svg", 668221880, 0);
    /** 16x16 */ public static final @NotNull Icon CloseInactive = load("windows/closeInactive.svg", 1214324486, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("windows/closeSmall.svg", 1786472349, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("windows/help.svg", -499252247, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButton = load("windows/helpButton.svg", 544130658, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButtonInactive = load("windows/helpButtonInactive.svg", 1730678326, 2);
    /** 16x16 */ public static final @NotNull Icon HelpInactive = load("windows/helpInactive.svg", 2002758371, 2);
    /** 16x16 */ public static final @NotNull Icon Maximize = load("windows/maximize.svg", 1669929496, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeInactive = load("windows/maximizeInactive.svg", -1868129869, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeSmall = load("windows/maximizeSmall.svg", 1691579279, 2);
    /** 16x16 */ public static final @NotNull Icon Minimize = load("windows/minimize.svg", 220639663, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeInactive = load("windows/minimizeInactive.svg", -1580525532, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeSmall = load("windows/minimizeSmall.svg", 1548322775, 2);
    /** 16x16 */ public static final @NotNull Icon Restore = load("windows/restore.svg", -1064661580, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreInactive = load("windows/restoreInactive.svg", 201397637, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreSmall = load("windows/restoreSmall.svg", -448210440, 2);
  }

  public static final class Xml {
    public static final class Browsers {
      /** 16x16 */ public static final @NotNull Icon Canary = load("xml/browsers/canary.svg", 1745819634, 0);
      /** 16x16 */ public static final @NotNull Icon Chrome = load("xml/browsers/chrome.svg", -1335154314, 0);
      /** 16x16 */ public static final @NotNull Icon Chromium = load("xml/browsers/chromium.svg", 591641922, 0);
      /** 16x16 */ public static final @NotNull Icon Edge = load("xml/browsers/edge.svg", -104098295, 0);
      /** 16x16 */ public static final @NotNull Icon Explorer = load("xml/browsers/explorer.svg", 1346723613, 0);
      /** 16x16 */ public static final @NotNull Icon Firefox = load("xml/browsers/firefox.svg", -1041899922, 0);
      /** 16x16 */ public static final @NotNull Icon FirefoxDeveloper = load("xml/browsers/firefoxDeveloper.svg", 457897541, 0);
      /** 16x16 */ public static final @NotNull Icon Nwjs = load("xml/browsers/nwjs.svg", -1164971905, 0);
      /** 16x16 */ public static final @NotNull Icon Opera = load("xml/browsers/opera.svg", 460425896, 0);
      /** 16x16 */ public static final @NotNull Icon Safari = load("xml/browsers/safari.svg", 633318835, 0);
      /** 16x16 */ public static final @NotNull Icon Yandex = load("xml/browsers/yandex.svg", -1396801527, 0);
    }

    /** 16x16 */ public static final @NotNull Icon Css_class = load("xml/css_class.svg", 684966056, 0);
    /** 16x16 */ public static final @NotNull Icon Html5 = load("xml/html5.svg", 205906137, 0);
    /** 16x16 */ public static final @NotNull Icon Html_id = load("xml/html_id.svg", 604130808, 0);
  }

  /** @deprecated use ProductIcons.getInstance().getProductIcon() instead */
  @SuppressWarnings("unused")
  @Deprecated
  public static final @NotNull Icon Icon = load("icon.png", 0, 0);
}
