// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.icons;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public final class ExpUiIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, ExpUiIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Actions {
    /** 16x16 */ public static final @NotNull Icon BuildAutoReloadChanges = load("expui/actions/buildAutoReloadChanges.svg", -769137589, 2);
    /** 16x16 */ public static final @NotNull Icon ClearCash = load("expui/actions/clearCash.svg", -651670985, 2);
    /** 16x16 */ public static final @NotNull Icon Deploy = load("expui/actions/deploy.svg", -42046735, 2);
    /** 16x16 */ public static final @NotNull Icon DiagramDiff = load("expui/actions/diagramDiff.svg", 2129574955, 2);
    /** 16x16 */ public static final @NotNull Icon DiffWithClipboard = load("expui/actions/diffWithClipboard.svg", -1141011475, 2);
    /** 16x16 */ public static final @NotNull Icon Filterdups = load("expui/actions/filterdups.svg", -1675572656, 2);
    /** 16x16 */ public static final @NotNull Icon Generated = load("expui/actions/generated.svg", -1905788368, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByMethod = load("expui/actions/groupByMethod.svg", 174586047, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModule = load("expui/actions/groupByModule.svg", -849490776, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPackage = load("expui/actions/groupByPackage.svg", -2036192679, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByTestProduction = load("expui/actions/groupByTestProduction.svg", 673012876, 2);
    /** 16x16 */ public static final @NotNull Icon InSelection = load("expui/actions/inSelection.svg", -672670687, 2);
    /** 16x16 */ public static final @NotNull Icon Install = load("expui/actions/install.svg", 1754913287, 2);
    /** 16x16 */ public static final @NotNull Icon Minimap = load("expui/actions/minimap.svg", -1838091231, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomLeft = load("expui/actions/moveToBottomLeft.svg", -1473386956, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomRight = load("expui/actions/moveToBottomRight.svg", 1803793130, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToButton = load("expui/actions/moveToButton.svg", -483907299, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftBottom = load("expui/actions/moveToLeftBottom.svg", -1236920830, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftTop = load("expui/actions/moveToLeftTop.svg", 881154656, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightBottom = load("expui/actions/moveToRightBottom.svg", 1351639515, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightTop = load("expui/actions/moveToRightTop.svg", -67380800, 2);
    /** 16x16 */ public static final @NotNull Icon NewFolder = load("expui/actions/newFolder.svg", 1487335447, 2);
    /** 16x16 */ public static final @NotNull Icon PlayBack = load("expui/actions/playBack.svg", 1165836244, 2);
    /** 16x16 */ public static final @NotNull Icon PlayFirst = load("expui/actions/playFirst.svg", -1838173000, 2);
    /** 16x16 */ public static final @NotNull Icon PlayForward = load("expui/actions/playForward.svg", 1388065222, 2);
    /** 16x16 */ public static final @NotNull Icon PlayLast = load("expui/actions/playLast.svg", -236076917, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileCPU = load("expui/actions/profileCPU.svg", -143458575, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectDirectory = load("expui/actions/projectDirectory.svg", 1333538549, 2);
    /** 16x16 */ public static final @NotNull Icon ReformatCode = load("expui/actions/reformatCode.svg", 1018232520, 2);
    /** 16x16 */ public static final @NotNull Icon ShowImportStatements = load("expui/actions/showImportStatements.svg", 935761482, 2);
    /** 16x16 */ public static final @NotNull Icon ShowReadAccess = load("expui/actions/showReadAccess.svg", 432207500, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWriteAccess = load("expui/actions/showWriteAccess.svg", 799113071, 2);
    /** 16x16 */ public static final @NotNull Icon Split = load("expui/actions/split.svg", 1102270400, 2);
    /** 16x16 */ public static final @NotNull Icon SwapPanels = load("expui/actions/swapPanels.svg", 2147313806, 2);
    /** 16x16 */ public static final @NotNull Icon SynchronizeScrolling = load("expui/actions/synchronizeScrolling.svg", -731160875, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleVisibility = load("expui/actions/toggleVisibility.svg", 2137980334, 2);
    /** 16x16 */ public static final @NotNull Icon Undeploy = load("expui/actions/undeploy.svg", 741967453, 2);
  }

  public static final class Bookmarks {
    /** 16x16 */ public static final @NotNull Icon AddBookmarksList = load("expui/bookmarks/addBookmarksList.svg", 1609022892, 2);
    /** 16x16 */ public static final @NotNull Icon Bookmark = load("expui/bookmarks/bookmark.svg", 2131816134, 2);
    /** 16x16 */ public static final @NotNull Icon BookmarksList = load("expui/bookmarks/bookmarksList.svg", -1027823350, 2);
    /** 16x16 */ public static final @NotNull Icon Mnemonic = load("expui/bookmarks/mnemonic.svg", -2050883737, 2);
  }

  public static final class Breakpoints {
    /** 14x14 */ public static final @NotNull Icon Breakpoint = load("expui/breakpoints/breakpoint.svg", 1847481469, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointDependent = load("expui/breakpoints/breakpointDependent.svg", 1575115989, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointDisabled = load("expui/breakpoints/breakpointDisabled.svg", 302407358, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointException = load("expui/breakpoints/breakpointException.svg", -1244580411, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointExceptionDisabled = load("expui/breakpoints/breakpointExceptionDisabled.svg", 26680722, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointField = load("expui/breakpoints/breakpointField.svg", -20932479, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldDependent = load("expui/breakpoints/breakpointFieldDependent.svg", 1384081329, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldDisabled = load("expui/breakpoints/breakpointFieldDisabled.svg", 667594206, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldMuted = load("expui/breakpoints/breakpointFieldMuted.svg", -1776239812, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldMutedDependent = load("expui/breakpoints/breakpointFieldMutedDependent.svg", -1612394445, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldMutedDisabled = load("expui/breakpoints/breakpointFieldMutedDisabled.svg", 902027150, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldUnsuspendent = load("expui/breakpoints/breakpointFieldUnsuspendent.svg", 1079652347, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldUnsuspendentDisabled = load("expui/breakpoints/breakpointFieldUnsuspendentDisabled.svg", 233710173, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldUnsuspendentValid = load("expui/breakpoints/breakpointFieldUnsuspendentValid.svg", 2091653303, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointFieldValid = load("expui/breakpoints/breakpointFieldValid.svg", -815267616, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointInvalid = load("expui/breakpoints/breakpointInvalid.svg", 687011447, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointLambda = load("expui/breakpoints/breakpointLambda.svg", 11668707, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethod = load("expui/breakpoints/breakpointMethod.svg", 1812274405, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodDependent = load("expui/breakpoints/breakpointMethodDependent.svg", 47053922, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodDisabled = load("expui/breakpoints/breakpointMethodDisabled.svg", -1415735174, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodMuted = load("expui/breakpoints/breakpointMethodMuted.svg", 1181833680, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodMutedDependent = load("expui/breakpoints/breakpointMethodMutedDependent.svg", 1820825586, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodMutedDisabled = load("expui/breakpoints/breakpointMethodMutedDisabled.svg", 1547946250, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodUnsuspendent = load("expui/breakpoints/breakpointMethodUnsuspendent.svg", -1155557060, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodUnsuspendentDisabled = load("expui/breakpoints/breakpointMethodUnsuspendentDisabled.svg", 1119716085, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodUnsuspendentValid = load("expui/breakpoints/breakpointMethodUnsuspendentValid.svg", 30295969, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMethodValid = load("expui/breakpoints/breakpointMethodValid.svg", 1275003568, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMuted = load("expui/breakpoints/breakpointMuted.svg", 1567796665, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMutedDependent = load("expui/breakpoints/breakpointMutedDependent.svg", 1790916612, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointMutedDisabled = load("expui/breakpoints/breakpointMutedDisabled.svg", 683677154, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointObsolete = load("expui/breakpoints/breakpointObsolete.svg", -1987032715, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointUnsuspendent = load("expui/breakpoints/breakpointUnsuspendent.svg", 1760979743, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointUnsuspendentDisabled = load("expui/breakpoints/breakpointUnsuspendentDisabled.svg", 1151910040, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointUnsuspendentValid = load("expui/breakpoints/breakpointUnsuspendentValid.svg", 110973909, 2);
    /** 14x14 */ public static final @NotNull Icon BreakpointValid = load("expui/breakpoints/breakpointValid.svg", 1314300136, 2);
    /** 14x14 */ public static final @NotNull Icon MultipleBreakpoints = load("expui/breakpoints/multipleBreakpoints.svg", -1195614704, 2);
    /** 7x10 */ public static final @NotNull Icon QuestionBadge = load("expui/breakpoints/questionBadge.svg", 787348803, 2);
  }

  public static final class Build {
    /** 16x16 */ public static final @NotNull Icon Build = load("expui/build/build.svg", 137266523, 2);
    /** 16x16 */ public static final @NotNull Icon DependencyAnalyzer = load("expui/build/dependencyAnalyzer.svg", -392249495, 2);
    /** 16x16 */ public static final @NotNull Icon Task = load("expui/build/task.svg", -1194342074, 2);
    /** 16x16 */ public static final @NotNull Icon TaskGroup = load("expui/build/taskGroup.svg", -1954114421, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleOfflineMode = load("expui/build/toggleOfflineMode.svg", 378976225, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleSkipTestsMode = load("expui/build/toggleSkipTestsMode.svg", 2109138900, 2);
  }

  public static final class CodeInsight {
    /** 12x12 */ public static final @NotNull Icon InlayGlobe = load("expui/codeInsight/inlayGlobe.svg", 901624926, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInComments = load("expui/codeInsight/inlayRenameInComments.svg", 1038941731, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInCommentsActive = load("expui/codeInsight/inlayRenameInCommentsActive.svg", -381311462, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFiles = load("expui/codeInsight/inlayRenameInNoCodeFiles.svg", 474071854, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFilesActive = load("expui/codeInsight/inlayRenameInNoCodeFilesActive.svg", 1038132175, 2);
    /** 12x12 */ public static final @NotNull Icon InlaySecuredShield = load("expui/codeInsight/inlaySecuredShield.svg", 52159898, 2);
    /** 12x12 */ public static final @NotNull Icon InlaySettings = load("expui/codeInsight/inlaySettings.svg", 1893948519, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulb = load("expui/codeInsight/intentionBulb.svg", -2030592617, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulbGrey = load("expui/codeInsight/intentionBulbGrey.svg", 384040111, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixBulb = load("expui/codeInsight/quickfixBulb.svg", -883517417, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixOffBulb = load("expui/codeInsight/quickfixOffBulb.svg", 491178423, 2);
  }

  public static final class CodeWithMe {
    /** 16x16 */ public static final @NotNull Icon CwmAccess = load("expui/codeWithMe/cwmAccess.svg", 199039882, 2);
    /** 20x20 */ public static final @NotNull Icon CwmAccess_20x20 = load("expui/codeWithMe/cwmAccess@20x20.svg", 91856039, 2);
    /** 16x16 */ public static final @NotNull Icon CwmDisableCall = load("expui/codeWithMe/cwmDisableCall.svg", 281729237, 2);
    /** 16x16 */ public static final @NotNull Icon CwmEnableCall = load("expui/codeWithMe/cwmEnableCall.svg", 799422360, 2);
    /** 17x17 */ public static final @NotNull Icon CwmIconModificator = load("expui/codeWithMe/cwmIconModificator.svg", 1288280352, 2);
    /** 15x15 */ public static final @NotNull Icon CwmIconModificator_14x14 = load("expui/codeWithMe/cwmIconModificator@14x14.svg", -1088532570, 2);
    /** 22x22 */ public static final @NotNull Icon CwmIconModificator_20x20 = load("expui/codeWithMe/cwmIconModificator@20x20.svg", -1405527311, 2);
    /** 16x16 */ public static final @NotNull Icon CwmInvite = load("expui/codeWithMe/cwmInvite.svg", -1717326607, 2);
    /** 16x16 */ public static final @NotNull Icon CwmUsers = load("expui/codeWithMe/cwmUsers.svg", -1671282270, 2);
    /** 20x20 */ public static final @NotNull Icon CwmUsers_20x20 = load("expui/codeWithMe/cwmUsers@20x20.svg", 856638747, 2);
  }

  public static final class Debugger {
    /** 16x16 */ public static final @NotNull Icon DbPrimitive = load("expui/debugger/dbPrimitive.svg", 737408395, 2);
    /** 16x16 */ public static final @NotNull Icon Frame = load("expui/debugger/frame.svg", -1911875806, 2);
    /** 16x16 */ public static final @NotNull Icon Threads = load("expui/debugger/threads.svg", 779575452, 2);
    /** 16x16 */ public static final @NotNull Icon Value = load("expui/debugger/value.svg", -1940187779, 2);
    /** 16x16 */ public static final @NotNull Icon Watch = load("expui/debugger/watch.svg", -111905892, 2);
  }

  public static final class Diff {
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflicts = load("expui/diff/applyNotConflicts.svg", -732401922, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsLeft = load("expui/diff/applyNotConflictsLeft.svg", -810537310, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsRight = load("expui/diff/applyNotConflictsRight.svg", -1253959772, 2);
    /** 14x14 */ public static final @NotNull Icon Arrow_14x14 = load("expui/diff/arrow@14x14.svg", 1914736849, 2);
    /** 14x14 */ public static final @NotNull Icon ArrowLeftDown_14x14 = load("expui/diff/arrowLeftDown@14x14.svg", -284232744, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeftRight = load("expui/diff/arrowLeftRight.svg", -1391829644, 2);
    /** 14x14 */ public static final @NotNull Icon ArrowRight_14x14 = load("expui/diff/arrowRight@14x14.svg", 1598871140, 2);
    /** 14x14 */ public static final @NotNull Icon ArrowRightDown_14x14 = load("expui/diff/arrowRightDown@14x14.svg", -1921029767, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftMiddle = load("expui/diff/compare3LeftMiddle.svg", 1654126172, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftRight = load("expui/diff/compare3LeftRight.svg", -1398966883, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3MiddleRight = load("expui/diff/compare3MiddleRight.svg", -1106858030, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftBottom = load("expui/diff/compare4LeftBottom.svg", -447574841, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftMiddle = load("expui/diff/compare4LeftMiddle.svg", 743690012, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftRight = load("expui/diff/compare4LeftRight.svg", -813612293, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleBottom = load("expui/diff/compare4MiddleBottom.svg", -464620651, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleRight = load("expui/diff/compare4MiddleRight.svg", 1376991202, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4RightBottom = load("expui/diff/compare4RightBottom.svg", -430625969, 2);
    /** 16x16 */ public static final @NotNull Icon DisableEditing = load("expui/diff/disableEditing.svg", -797180523, 2);
    /** 14x14 */ public static final @NotNull Icon GutterCheckBox_14x14 = load("expui/diff/gutterCheckBox@14x14.svg", -47395122, 2);
    /** 14x14 */ public static final @NotNull Icon GutterCheckBoxIndeterminate_14x14 = load("expui/diff/gutterCheckBoxIndeterminate@14x14.svg", 54435534, 2);
    /** 14x14 */ public static final @NotNull Icon GutterCheckBoxSelected_14x14 = load("expui/diff/gutterCheckBoxSelected@14x14.svg", -1951428619, 2);
    /** 14x14 */ public static final @NotNull Icon MagicResolve_14x14 = load("expui/diff/magicResolve@14x14.svg", 1119007453, 2);
    /** 16x16 */ public static final @NotNull Icon MagicResolveToolbar = load("expui/diff/magicResolveToolbar.svg", 1101581955, 2);
    /** 14x14 */ public static final @NotNull Icon Remove_14x14 = load("expui/diff/remove@14x14.svg", 1169484384, 2);
    /** 14x14 */ public static final @NotNull Icon Revert_14x14 = load("expui/diff/revert@14x14.svg", 1143844083, 2);
  }

  /** 16x16 */ public static final @NotNull Icon Empty = load("expui/empty.svg", -1405269837, 0);

  public static final class FileTypes {
    /** 16x16 */ public static final @NotNull Icon ActionScript = load("expui/fileTypes/actionScript.svg", -140583060, 2);
    /** 16x16 */ public static final @NotNull Icon AddAny = load("expui/fileTypes/addAny.svg", -540039424, 2);
    /** 16x16 */ public static final @NotNull Icon AngularJS = load("expui/fileTypes/angularJS.svg", -398646797, 0);
    /** 16x16 */ public static final @NotNull Icon AnyType = load("expui/fileTypes/anyType.svg", 1371529814, 2);
    /** 16x16 */ public static final @NotNull Icon Archive = load("expui/fileTypes/archive.svg", -782079458, 2);
    /** 16x16 */ public static final @NotNull Icon AspectJ = load("expui/fileTypes/aspectJ.svg", 2084203057, 2);
    /** 16x16 */ public static final @NotNull Icon ChangedFile = load("expui/fileTypes/changedFile.svg", -1545199036, 2);
    /** 16x16 */ public static final @NotNull Icon ChangedFiles = load("expui/fileTypes/changedFiles.svg", -1547714866, 2);
    /** 16x16 */ public static final @NotNull Icon Config = load("expui/fileTypes/config.svg", 1239979240, 2);
    /** 16x16 */ public static final @NotNull Icon Css = load("expui/fileTypes/css.svg", 1158571392, 0);
    /** 16x16 */ public static final @NotNull Icon Csv = load("expui/fileTypes/csv.svg", -2009889099, 2);
    /** 16x16 */ public static final @NotNull Icon Cucumber = load("expui/fileTypes/cucumber.svg", -1511596272, 0);
    /** 16x16 */ public static final @NotNull Icon Diagram = load("expui/fileTypes/diagram.svg", 2125063764, 2);
    /** 16x16 */ public static final @NotNull Icon Eclipse = load("expui/fileTypes/eclipse.svg", 1202601629, 0);
    /** 16x16 */ public static final @NotNull Icon EditorConfig = load("expui/fileTypes/editorConfig.svg", -335339580, 2);
    /** 16x16 */ public static final @NotNull Icon Font = load("expui/fileTypes/font.svg", 711773909, 2);
    /** 16x16 */ public static final @NotNull Icon Freemaker = load("expui/fileTypes/freemaker.svg", 1648080624, 2);
    /** 16x16 */ public static final @NotNull Icon Gitignore = load("expui/fileTypes/gitignore.svg", 1363596151, 0);
    /** 16x16 */ public static final @NotNull Icon Html = load("expui/fileTypes/html.svg", -247296239, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaModule = load("expui/fileTypes/ideaModule.svg", -1637799340, 2);
    /** 16x16 */ public static final @NotNull Icon Idl = load("expui/fileTypes/idl.svg", 1082180924, 2);
    /** 16x16 */ public static final @NotNull Icon Ignored = load("expui/fileTypes/ignored.svg", -321420728, 2);
    /** 16x16 */ public static final @NotNull Icon Image = load("expui/fileTypes/image.svg", 1474336461, 2);
    /** 16x16 */ public static final @NotNull Icon Java = load("expui/fileTypes/java.svg", -1582472465, 2);
    /** 16x16 */ public static final @NotNull Icon JavaScript = load("expui/fileTypes/javaScript.svg", -989574810, 2);
    /** 16x16 */ public static final @NotNull Icon Jest = load("expui/fileTypes/jest.svg", -332532916, 0);
    /** 16x16 */ public static final @NotNull Icon Jfr = load("expui/fileTypes/jfr.svg", 924476752, 2);
    /** 16x16 */ public static final @NotNull Icon Jshint = load("expui/fileTypes/jshint.svg", 389498291, 2);
    /** 16x16 */ public static final @NotNull Icon Json = load("expui/fileTypes/json.svg", -2127501654, 2);
    /** 16x16 */ public static final @NotNull Icon Jsp = load("expui/fileTypes/jsp.svg", -1447994527, 2);
    /** 16x16 */ public static final @NotNull Icon Jspx = load("expui/fileTypes/jspx.svg", 1548605739, 2);
    /** 16x16 */ public static final @NotNull Icon Less = load("expui/fileTypes/less.svg", 543222264, 2);
    /** 16x16 */ public static final @NotNull Icon Lombok = load("expui/fileTypes/lombok.svg", -1487007933, 2);
    /** 16x16 */ public static final @NotNull Icon LombokConfig = load("expui/fileTypes/lombokConfig.svg", -1361962133, 2);
    /** 16x16 */ public static final @NotNull Icon Manifest = load("expui/fileTypes/manifest.svg", 797611110, 2);
    /** 13x13 */ public static final @NotNull Icon Modified = load("expui/fileTypes/modified.svg", -642026293, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("expui/fileTypes/patch.svg", -706028010, 2);
    /** 16x16 */ public static final @NotNull Icon Perl = load("expui/fileTypes/perl.svg", 108994589, 2);
    /** 16x16 */ public static final @NotNull Icon Properties = load("expui/fileTypes/properties.svg", -560303724, 2);
    /** 16x16 */ public static final @NotNull Icon Protobuf = load("expui/fileTypes/protobuf.svg", 1900663409, 0);
    /** 16x16 */ public static final @NotNull Icon React = load("expui/fileTypes/react.svg", 1620243355, 2);
    /** 16x16 */ public static final @NotNull Icon Regexp = load("expui/fileTypes/regexp.svg", 1958077143, 2);
    /** 16x16 */ public static final @NotNull Icon Sbt = load("expui/fileTypes/sbt.svg", -984587052, 2);
    /** 16x16 */ public static final @NotNull Icon Scala = load("expui/fileTypes/scala.svg", 1475163984, 2);
    /** 16x16 */ public static final @NotNull Icon Scratch = load("expui/fileTypes/scratch.svg", -782432053, 2);
    /** 16x16 */ public static final @NotNull Icon Scratches = load("expui/fileTypes/scratches.svg", -1406379294, 2);
    /** 16x16 */ public static final @NotNull Icon Scss = load("expui/fileTypes/scss.svg", -1373749340, 0);
    /** 16x16 */ public static final @NotNull Icon Shell = load("expui/fileTypes/shell.svg", -1124749060, 2);
    /** 16x16 */ public static final @NotNull Icon SourceMap = load("expui/fileTypes/sourceMap.svg", -798309148, 2);
    /** 16x16 */ public static final @NotNull Icon Sql = load("expui/fileTypes/sql.svg", -1496861857, 2);
    /** 16x16 */ public static final @NotNull Icon Text = load("expui/fileTypes/text.svg", 1946633559, 2);
    /** 16x16 */ public static final @NotNull Icon UiForm = load("expui/fileTypes/uiForm.svg", -397412144, 2);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("expui/fileTypes/unknown.svg", -2043297803, 2);
    /** 16x16 */ public static final @NotNull Icon VueJs = load("expui/fileTypes/vueJs.svg", -1118824585, 0);
    /** 16x16 */ public static final @NotNull Icon Wsdl = load("expui/fileTypes/wsdl.svg", 53700367, 2);
    /** 16x16 */ public static final @NotNull Icon Xhtml = load("expui/fileTypes/xhtml.svg", -1776603032, 2);
    /** 16x16 */ public static final @NotNull Icon Xml = load("expui/fileTypes/xml.svg", -1605129495, 2);
    /** 16x16 */ public static final @NotNull Icon Xsd = load("expui/fileTypes/xsd.svg", 1843383830, 2);
    /** 16x16 */ public static final @NotNull Icon Yaml = load("expui/fileTypes/yaml.svg", 618485830, 2);
    /** 16x16 */ public static final @NotNull Icon Yarn = load("expui/fileTypes/yarn.svg", 193628050, 0);
  }

  public static final class General {
    /** 16x16 */ public static final @NotNull Icon Add = load("expui/general/add.svg", 1507625265, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollFromSource = load("expui/general/autoscrollFromSource.svg", 1137481614, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollToSource = load("expui/general/autoscrollToSource.svg", 249652700, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDown = load("expui/general/chevronDown.svg", 1277401136, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDownLarge = load("expui/general/chevronDownLarge.svg", -1148201103, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDownLargeWhite = load("expui/general/chevronDownLargeWhite.svg", -1911877106, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronLeft = load("expui/general/chevronLeft.svg", -51040890, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronRight = load("expui/general/chevronRight.svg", 1406507336, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronUp = load("expui/general/chevronUp.svg", 1229512721, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronUpLarge = load("expui/general/chevronUpLarge.svg", 1100030233, 2);
    /** 16x16 */ public static final @NotNull Icon Close = load("expui/general/close.svg", 619823342, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("expui/general/closeSmall.svg", 1110348883, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmallHovered = load("expui/general/closeSmallHovered.svg", 742883982, 2);
    /** 16x16 */ public static final @NotNull Icon CollapseAll = load("expui/general/collapseAll.svg", 953274056, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("expui/general/copy.svg", 534699125, 2);
    /** 16x16 */ public static final @NotNull Icon Cut = load("expui/general/cut.svg", 324509100, 2);
    /** 16x16 */ public static final @NotNull Icon Delete = load("expui/general/delete.svg", -967717136, 2);
    /** 16x16 */ public static final @NotNull Icon Down = load("expui/general/down.svg", -1514489477, 2);
    /** 16x16 */ public static final @NotNull Icon Download = load("expui/general/download.svg", -1816112677, 2);
    /** 16x16 */ public static final @NotNull Icon Dropdown = load("expui/general/dropdown.svg", 780896614, 2);
    /** 15x15 */ public static final @NotNull Icon DropdownGutter = load("expui/general/dropdownGutter.svg", -1982843090, 2);
    /** 16x16 */ public static final @NotNull Icon Edit = load("expui/general/edit.svg", -1117192368, 2);
    /** 16x16 */ public static final @NotNull Icon EditorOnly = load("expui/general/editorOnly.svg", -1485904419, 2);
    /** 16x16 */ public static final @NotNull Icon EditorPreview = load("expui/general/editorPreview.svg", 1246013899, 2);
    /** 16x16 */ public static final @NotNull Icon EditorPreviewVertical = load("expui/general/editorPreviewVertical.svg", -1083436438, 2);
    /** 28x28 */ public static final @NotNull Icon ErrorDialog = load("expui/general/errorDialog.svg", 489947405, 2);
    /** 16x16 */ public static final @NotNull Icon Exit = load("expui/general/exit.svg", -1646264536, 2);
    /** 16x16 */ public static final @NotNull Icon ExpandAll = load("expui/general/expandAll.svg", -964462446, 2);
    /** 16x16 */ public static final @NotNull Icon Export = load("expui/general/export.svg", 32650927, 2);
    /** 16x16 */ public static final @NotNull Icon Filter = load("expui/general/filter.svg", -1075412710, 2);
    /** 16x16 */ public static final @NotNull Icon Groups = load("expui/general/groups.svg", -800355204, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("expui/general/help.svg", 30303849, 2);
    /** 16x16 */ public static final @NotNull Icon Hide = load("expui/general/hide.svg", 2112071459, 2);
    /** 16x16 */ public static final @NotNull Icon History = load("expui/general/history.svg", -254718915, 2);
    /** 16x16 */ public static final @NotNull Icon IdeUpdate = load("expui/general/ideUpdate.svg", 942527793, 2);
    /** 16x16 */ public static final @NotNull Icon Import = load("expui/general/import.svg", -205013880, 2);
    /** 28x28 */ public static final @NotNull Icon InformationDialog = load("expui/general/informationDialog.svg", 1514396670, 2);

    public static final class Inspections {
      /** 16x16 */ public static final @NotNull Icon InspectionsError = load("expui/general/inspections/inspectionsError.svg", 488277668, 0);
      /** 16x16 */ public static final @NotNull Icon InspectionsErrorEmpty = load("expui/general/inspections/inspectionsErrorEmpty.svg", 1569754047, 0);
      /** 16x16 */ public static final @NotNull Icon InspectionsEye = load("expui/general/inspections/inspectionsEye.svg", 1548964770, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsMixed = load("expui/general/inspections/inspectionsMixed.svg", -1017263270, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsOK = load("expui/general/inspections/inspectionsOK.svg", -979765682, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsOKEmpty = load("expui/general/inspections/inspectionsOKEmpty.svg", 1874649933, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsPause = load("expui/general/inspections/inspectionsPause.svg", -1933389761, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsPowerSaveMode = load("expui/general/inspections/inspectionsPowerSaveMode.svg", -151630914, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsTrafficOff = load("expui/general/inspections/inspectionsTrafficOff.svg", 1740325212, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsTypos = load("expui/general/inspections/inspectionsTypos.svg", 829073277, 2);
      /** 16x16 */ public static final @NotNull Icon InspectionsWarning = load("expui/general/inspections/inspectionsWarning.svg", 172339221, 0);
      /** 16x16 */ public static final @NotNull Icon InspectionsWarningEmpty = load("expui/general/inspections/inspectionsWarningEmpty.svg", -1525808379, 0);
    }

    /** 16x16 */ public static final @NotNull Icon Layout = load("expui/general/layout.svg", 1132884387, 2);
    /** 16x16 */ public static final @NotNull Icon Left = load("expui/general/left.svg", -1815697168, 2);
    /** 16x16 */ public static final @NotNull Icon ListFiles = load("expui/general/listFiles.svg", 1580369894, 2);
    /** 16x16 */ public static final @NotNull Icon Locate = load("expui/general/locate.svg", -917710261, 2);
    /** 16x16 */ public static final @NotNull Icon Locked = load("expui/general/locked.svg", 1762024902, 2);
    /** 16x16 */ public static final @NotNull Icon MoreHorizontal = load("expui/general/moreHorizontal.svg", -1256093541, 2);
    /** 20x20 */ public static final @NotNull Icon MoreHorizontal_20x20 = load("expui/general/moreHorizontal@20x20.svg", 1010042314, 2);
    /** 16x16 */ public static final @NotNull Icon MoreVertical = load("expui/general/moreVertical.svg", 172255209, 10);
    /** 16x16 */ public static final @NotNull Icon MoveDown = load("expui/general/moveDown.svg", 1516503747, 2);
    /** 16x16 */ public static final @NotNull Icon MoveUp = load("expui/general/moveUp.svg", -1282709137, 2);
    /** 16x16 */ public static final @NotNull Icon Open = load("expui/general/open.svg", 186929782, 2);
    /** 16x16 */ public static final @NotNull Icon OpenInToolWindow = load("expui/general/openInToolWindow.svg", 1347140022, 2);
    /** 16x16 */ public static final @NotNull Icon OpenNewTab = load("expui/general/openNewTab.svg", -257413023, 2);
    /** 16x16 */ public static final @NotNull Icon Paste = load("expui/general/paste.svg", 1278512529, 2);
    /** 16x16 */ public static final @NotNull Icon Pin = load("expui/general/pin.svg", -1431984061, 2);
    /** 16x16 */ public static final @NotNull Icon PluginUpdate = load("expui/general/pluginUpdate.svg", -1250370893, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewHorizontally = load("expui/general/previewHorizontally.svg", 510613415, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewOnly = load("expui/general/previewOnly.svg", -1461478213, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewVertically = load("expui/general/previewVertically.svg", 1544762058, 2);
    /** 16x16 */ public static final @NotNull Icon Print = load("expui/general/print.svg", -222043274, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectStructure = load("expui/general/projectStructure.svg", -208333456, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOff = load("expui/general/projectWideAnalysisOff.svg", -1906805600, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOn = load("expui/general/projectWideAnalysisOn.svg", -1761774134, 2);
    /** 28x28 */ public static final @NotNull Icon QuestionDialog = load("expui/general/questionDialog.svg", -866387054, 2);
    /** 16x16 */ public static final @NotNull Icon Redo = load("expui/general/redo.svg", -1404378345, 2);
    /** 16x16 */ public static final @NotNull Icon Refresh = load("expui/general/refresh.svg", 1171225069, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("expui/general/remove.svg", -1165439579, 2);
    /** 16x16 */ public static final @NotNull Icon Reset = load("expui/general/reset.svg", -600805732, 2);
    /** 16x16 */ public static final @NotNull Icon Right = load("expui/general/right.svg", 442609072, 2);
    /** 16x16 */ public static final @NotNull Icon RunAnything = load("expui/general/runAnything.svg", 79773567, 2);
    /** 16x16 */ public static final @NotNull Icon Save = load("expui/general/save.svg", 1272762252, 2);
    /** 16x16 */ public static final @NotNull Icon ScrollDown = load("expui/general/scrollDown.svg", -11952059, 2);
    /** 16x16 */ public static final @NotNull Icon ScrollUp = load("expui/general/scrollUp.svg", -143673237, 2);
    /** 16x16 */ public static final @NotNull Icon Search = load("expui/general/search.svg", 1099976841, 2);
    /** 20x20 */ public static final @NotNull Icon Search_20x20 = load("expui/general/search@20x20.svg", 256780457, 2);
    /** 16x16 */ public static final @NotNull Icon SeparatorHorizontal = load("expui/general/separatorHorizontal.svg", -1949116400, 2);
    /** 16x16 */ public static final @NotNull Icon Settings = load("expui/general/settings.svg", 1921417781, 2);
    /** 20x20 */ public static final @NotNull Icon Settings_20x20 = load("expui/general/settings@20x20.svg", 951149520, 2);
    /** 16x16 */ public static final @NotNull Icon Show = load("expui/general/show.svg", 1717050105, 2);
    /** 16x16 */ public static final @NotNull Icon ShowAsTree = load("expui/general/showAsTree.svg", -1118429996, 2);
    /** 16x16 */ public static final @NotNull Icon SoftWrap = load("expui/general/softWrap.svg", -160168112, 2);
    /** 16x16 */ public static final @NotNull Icon SplitHorizontally = load("expui/general/splitHorizontally.svg", 538679931, 2);
    /** 16x16 */ public static final @NotNull Icon SplitVertically = load("expui/general/splitVertically.svg", 460295663, 2);
    /** 28x28 */ public static final @NotNull Icon SuccessDialog = load("expui/general/successDialog.svg", -568927399, 2);
    /** 48x48 */ public static final @NotNull Icon SuccessLogin = load("expui/general/successLogin.svg", -2002405305, 2);
    /** 16x16 */ public static final @NotNull Icon Undo = load("expui/general/undo.svg", 422408272, 2);
    /** 16x16 */ public static final @NotNull Icon Unlocked = load("expui/general/unlocked.svg", 1490967649, 2);
    /** 16x16 */ public static final @NotNull Icon UP = load("expui/general/up.svg", -1350780289, 2);
    /** 16x16 */ public static final @NotNull Icon Upload = load("expui/general/upload.svg", 176697894, 2);
    /** 16x16 */ public static final @NotNull Icon User = load("expui/general/user.svg", -1033315603, 2);
    /** 16x16 */ public static final @NotNull Icon Vcs = load("expui/general/vcs.svg", 468795750, 2);
    /** 28x28 */ public static final @NotNull Icon WarningDialog = load("expui/general/warningDialog.svg", 1213067274, 2);
    /** 20x20 */ public static final @NotNull Icon WindowsMenu_20x20 = load("expui/general/windowsMenu@20x20.svg", 422724459, 2);
  }

  public static final class Graph {
    /** 16x16 */ public static final @NotNull Icon GraphLayout = load("expui/graph/graphLayout.svg", 1556220932, 2);
  }

  public static final class Gutter {
    /** 14x14 */ public static final @NotNull Icon Bookmark = load("expui/gutter/bookmark.svg", 1214561757, 2);
    /** 14x14 */ public static final @NotNull Icon Colors = load("expui/gutter/colors.svg", -106892478, 2);
    /** 14x14 */ public static final @NotNull Icon DataSchema = load("expui/gutter/dataSchema.svg", -461299975, 2);
    /** 14x14 */ public static final @NotNull Icon ExtAnnotation = load("expui/gutter/extAnnotation.svg", 1455997805, 2);
    /** 9x9 */ public static final @NotNull Icon Fold = load("expui/gutter/fold.svg", -2072035116, 2);
    /** 9x9 */ public static final @NotNull Icon FoldBottom = load("expui/gutter/foldBottom.svg", -1312250118, 2);
    /** 14x14 */ public static final @NotNull Icon ImplementedMethod = load("expui/gutter/implementedMethod.svg", -1023705896, 2);
    /** 14x14 */ public static final @NotNull Icon ImplementingFunctionalInterface = load("expui/gutter/implementingFunctionalInterface.svg", 762845776, 2);
    /** 14x14 */ public static final @NotNull Icon ImplementingMethod = load("expui/gutter/implementingMethod.svg", -848897006, 2);
    /** 14x14 */ public static final @NotNull Icon JavadocEdit = load("expui/gutter/javadocEdit.svg", -1335436561, 2);
    /** 14x14 */ public static final @NotNull Icon JavadocRead = load("expui/gutter/javadocRead.svg", 2003816782, 2);
    /** 14x14 */ public static final @NotNull Icon Mnemonic = load("expui/gutter/mnemonic.svg", -528954073, 2);
    /** 14x14 */ public static final @NotNull Icon OverridenMethod = load("expui/gutter/overridenMethod.svg", 1728315685, 2);
    /** 14x14 */ public static final @NotNull Icon OverridingMethod = load("expui/gutter/overridingMethod.svg", 1155931002, 2);
    /** 14x14 */ public static final @NotNull Icon ReadAccess = load("expui/gutter/readAccess.svg", 587859952, 2);
    /** 14x14 */ public static final @NotNull Icon RecursiveMethod = load("expui/gutter/recursiveMethod.svg", -1689758066, 2);
    /** 14x14 */ public static final @NotNull Icon Rerun = load("expui/gutter/rerun.svg", -805770570, 2);
    /** 14x14 */ public static final @NotNull Icon Run = load("expui/gutter/run.svg", -1462655242, 2);
    /** 14x14 */ public static final @NotNull Icon RunError = load("expui/gutter/runError.svg", -1260455875, 2);
    /** 14x14 */ public static final @NotNull Icon RunFailed = load("expui/gutter/runFailed.svg", -140397423, 2);
    /** 14x14 */ public static final @NotNull Icon RunSuccess = load("expui/gutter/runSuccess.svg", -705364266, 2);
    /** 14x14 */ public static final @NotNull Icon SiblingInheritedMethod = load("expui/gutter/siblingInheritedMethod.svg", 2031731802, 2);
    /** 14x14 */ public static final @NotNull Icon SuggestedRefactoring = load("expui/gutter/suggestedRefactoring.svg", 907566414, 2);
    /** 14x14 */ public static final @NotNull Icon SuggestedRefactoringDisabled = load("expui/gutter/suggestedRefactoringDisabled.svg", 735062439, 2);
    /** 9x9 */ public static final @NotNull Icon Unfold = load("expui/gutter/unfold.svg", -33250380, 2);
    /** 14x14 */ public static final @NotNull Icon WriteAccess = load("expui/gutter/writeAccess.svg", -998663344, 2);
  }

  public static final class Hierarchy {
    /** 16x16 */ public static final @NotNull Icon Subtypes = load("expui/hierarchy/subtypes.svg", -570232233, 2);
    /** 16x16 */ public static final @NotNull Icon Supertypes = load("expui/hierarchy/supertypes.svg", 1662070576, 2);
  }

  public static final class Ide {
    /** 16x16 */ public static final @NotNull Icon ConfigFile = load("expui/ide/configFile.svg", 1264425469, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRating = load("expui/ide/feedbackRating.svg", 928586709, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocused = load("expui/ide/feedbackRatingFocused.svg", 1404034659, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocusedOn = load("expui/ide/feedbackRatingFocusedOn.svg", 873598273, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOn = load("expui/ide/feedbackRatingOn.svg", 1023844303, 2);
    /** 16x16 */ public static final @NotNull Icon LocalScope = load("expui/ide/localScope.svg", 1265537290, 2);
  }

  public static final class Image {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("expui/image/actualZoom.svg", 547371294, 2);
    /** 16x16 */ public static final @NotNull Icon ColorPicker = load("expui/image/colorPicker.svg", 2025643123, 2);
    /** 16x16 */ public static final @NotNull Icon FitContent = load("expui/image/fitContent.svg", 1944395753, 2);
    /** 16x16 */ public static final @NotNull Icon Grid = load("expui/image/grid.svg", -2118066873, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("expui/image/zoomIn.svg", 1434946107, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("expui/image/zoomOut.svg", 972411078, 2);
  }

  public static final class Inline {
    /** 16x16 */ public static final @NotNull Icon Browse = load("expui/inline/browse.svg", 244105745, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("expui/inline/collapse.svg", -2137894517, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("expui/inline/copy.svg", 1334735137, 2);
    /** 16x16 */ public static final @NotNull Icon ExactWords = load("expui/inline/exactWords.svg", -265227377, 2);
    /** 16x16 */ public static final @NotNull Icon Expand = load("expui/inline/expand.svg", 1569575122, 2);
    /** 16x16 */ public static final @NotNull Icon InlineAdd = load("expui/inline/inlineAdd.svg", -80542344, 2);
    /** 16x16 */ public static final @NotNull Icon InlineEdit = load("expui/inline/inlineEdit.svg", -1329955189, 2);
    /** 16x16 */ public static final @NotNull Icon InlineSettings = load("expui/inline/inlineSettings.svg", -205395020, 2);
    /** 16x16 */ public static final @NotNull Icon MatchCase = load("expui/inline/matchCase.svg", 1277276406, 2);
    /** 16x16 */ public static final @NotNull Icon NewLine = load("expui/inline/newLine.svg", 1796274302, 2);
    /** 16x16 */ public static final @NotNull Icon PreserveCase = load("expui/inline/preserveCase.svg", -443280532, 2);
    /** 18x16 */ public static final @NotNull Icon Refresh = load("expui/inline/refresh.svg", -325141097, 2);
    /** 16x16 */ public static final @NotNull Icon Regex = load("expui/inline/regex.svg", -1763404657, 2);
    /** 16x16 */ public static final @NotNull Icon SearchHistory = load("expui/inline/searchHistory.svg", -629086621, 2);
    /** 16x16 */ public static final @NotNull Icon Variables = load("expui/inline/variables.svg", -324580852, 2);
  }

  public static final class Javaee {
    /** 16x16 */ public static final @NotNull Icon Home = load("expui/javaee/home.svg", 660865721, 2);
    /** 16x16 */ public static final @NotNull Icon PersistenceEntity = load("expui/javaee/persistenceEntity.svg", 1817675335, 2);
    /** 16x16 */ public static final @NotNull Icon UpdateRunningApplication = load("expui/javaee/updateRunningApplication.svg", 2011370774, 2);
    /** 16x16 */ public static final @NotNull Icon WebModuleGroup = load("expui/javaee/webModuleGroup.svg", -1561928104, 2);
    /** 16x16 */ public static final @NotNull Icon WebService = load("expui/javaee/webService.svg", -2074926921, 2);
    /** 16x16 */ public static final @NotNull Icon WebServiceClient = load("expui/javaee/webServiceClient.svg", 82747397, 2);
  }

  public static final class MeetNewUi {
    /** 16x16 */ public static final @NotNull Icon DarkTheme = load("expui/meetNewUi/darkTheme.svg", -1804694481, 2);
    /** 16x16 */ public static final @NotNull Icon DarkThemeSelected = load("expui/meetNewUi/darkThemeSelected.svg", -415698467, 2);
    /** 88x48 */ public static final @NotNull Icon DensityCompact = load("expui/meetNewUi/densityCompact.svg", -1855848075, 2);
    /** 88x48 */ public static final @NotNull Icon DensityDefault = load("expui/meetNewUi/densityDefault.svg", 1688675125, 2);
    /** 16x16 */ public static final @NotNull Icon LightTheme = load("expui/meetNewUi/lightTheme.svg", -669859484, 2);
    /** 16x16 */ public static final @NotNull Icon LightThemeSelected = load("expui/meetNewUi/lightThemeSelected.svg", 1975590716, 2);
    /** 16x16 */ public static final @NotNull Icon SystemTheme = load("expui/meetNewUi/systemTheme.svg", -1085669882, 2);
    /** 16x16 */ public static final @NotNull Icon SystemThemeSelected = load("expui/meetNewUi/systemThemeSelected.svg", -580406310, 2);
  }

  public static final class Nodes {
    /** 16x16 */ public static final @NotNull Icon AbstractException = load("expui/nodes/abstractException.svg", -1723780249, 2);
    /** 16x16 */ public static final @NotNull Icon Alias = load("expui/nodes/alias.svg", -2050543331, 2);
    /** 16x16 */ public static final @NotNull Icon Annotation = load("expui/nodes/annotation.svg", 907121146, 2);
    /** 16x16 */ public static final @NotNull Icon AnnotationFolder = load("expui/nodes/annotationFolder.svg", 1245761175, 2);
    /** 16x16 */ public static final @NotNull Icon Class = load("expui/nodes/class.svg", -764058650, 2);
    /** 16x16 */ public static final @NotNull Icon ClassAbstract = load("expui/nodes/classAbstract.svg", -104009576, 2);
    /** 16x16 */ public static final @NotNull Icon ClassAnonymous = load("expui/nodes/classAnonymous.svg", 1133221850, 2);
    /** 16x16 */ public static final @NotNull Icon ClassInitializer = load("expui/nodes/classInitializer.svg", 331055540, 2);
    /** 16x16 */ public static final @NotNull Icon Constant = load("expui/nodes/constant.svg", -998166128, 2);
    /** 16x16 */ public static final @NotNull Icon Controller = load("expui/nodes/controller.svg", 1382932077, 2);
    /** 16x16 */ public static final @NotNull Icon CopyOfFolder = load("expui/nodes/copyOfFolder.svg", 1194997997, 2);
    /** 16x16 */ public static final @NotNull Icon DataColumn = load("expui/nodes/dataColumn.svg", 1419152408, 2);
    /** 16x16 */ public static final @NotNull Icon DataSchema = load("expui/nodes/dataSchema.svg", 1219706399, 2);
    /** 16x16 */ public static final @NotNull Icon DataTables = load("expui/nodes/dataTables.svg", 45971100, 2);
    /** 16x16 */ public static final @NotNull Icon Desktop = load("expui/nodes/desktop.svg", -1094922048, 2);
    /** 16x16 */ public static final @NotNull Icon EditFolder = load("expui/nodes/editFolder.svg", 1412984222, 2);
    /** 16x16 */ public static final @NotNull Icon Enum = load("expui/nodes/enum.svg", 1612092380, 2);
    /** 16x16 */ public static final @NotNull Icon ErrorIntroduction = load("expui/nodes/errorIntroduction.svg", 1489441459, 2);
    /** 16x16 */ public static final @NotNull Icon Exception = load("expui/nodes/exception.svg", 2091075712, 2);
    /** 16x16 */ public static final @NotNull Icon ExcludedGenerated = load("expui/nodes/excludedGenerated.svg", 1487704823, 2);
    /** 16x16 */ public static final @NotNull Icon ExcludeRoot = load("expui/nodes/excludeRoot.svg", -1564860292, 2);
    /** 16x16 */ public static final @NotNull Icon Field = load("expui/nodes/field.svg", -1912421007, 2);
    /** 16x16 */ public static final @NotNull Icon Folder = load("expui/nodes/folder.svg", 1559846282, 2);
    /** 16x16 */ public static final @NotNull Icon Function = load("expui/nodes/function.svg", -1672869659, 2);
    /** 16x16 */ public static final @NotNull Icon Generated = load("expui/nodes/generated.svg", -1905788368, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedSource = load("expui/nodes/generatedSource.svg", 1767283412, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedTestRoot = load("expui/nodes/generatedTestRoot.svg", -1169483933, 2);
    /** 16x16 */ public static final @NotNull Icon Gvariable = load("expui/nodes/gvariable.svg", 322121471, 2);
    /** 16x16 */ public static final @NotNull Icon HomeFolder = load("expui/nodes/homeFolder.svg", -1207222579, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaProject = load("expui/nodes/ideaProject.svg", 89898835, 2);
    /** 16x16 */ public static final @NotNull Icon Include = load("expui/nodes/include.svg", -1329102926, 2);
    /** 16x16 */ public static final @NotNull Icon Interface = load("expui/nodes/interface.svg", 1784107948, 2);
    /** 16x16 */ public static final @NotNull Icon Jdk = load("expui/nodes/jdk.svg", 1000282396, 2);
    /** 16x16 */ public static final @NotNull Icon Lambda = load("expui/nodes/lambda.svg", 1875042609, 2);
    /** 16x16 */ public static final @NotNull Icon Library = load("expui/nodes/library.svg", 986799588, 2);
    /** 16x16 */ public static final @NotNull Icon LibraryFolder = load("expui/nodes/libraryFolder.svg", 1050477889, 2);
    /** 16x16 */ public static final @NotNull Icon Method = load("expui/nodes/method.svg", -1844471562, 2);
    /** 16x16 */ public static final @NotNull Icon MethodAbstract = load("expui/nodes/methodAbstract.svg", 842319765, 2);
    /** 16x16 */ public static final @NotNull Icon MethodReference = load("expui/nodes/methodReference.svg", 1112600152, 2);
    /** 16x16 */ public static final @NotNull Icon ModelClass = load("expui/nodes/modelClass.svg", -1922237679, 2);
    /** 16x16 */ public static final @NotNull Icon Module = load("expui/nodes/module.svg", 704891894, 2);
    /** 8x8 */ public static final @NotNull Icon Module8x8 = load("expui/nodes/module8x8.svg", -547055096, 2);
    /** 16x16 */ public static final @NotNull Icon ModuleGroup = load("expui/nodes/moduleGroup.svg", -1682676971, 2);
    /** 16x16 */ public static final @NotNull Icon ModuleJava = load("expui/nodes/moduleJava.svg", -1750960984, 2);
    /** 16x16 */ public static final @NotNull Icon Package = load("expui/nodes/package.svg", -521999985, 2);
    /** 16x16 */ public static final @NotNull Icon Parameter = load("expui/nodes/parameter.svg", 673898677, 2);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("expui/nodes/plugin.svg", -687212257, 2);
    /** 16x16 */ public static final @NotNull Icon PpWeb = load("expui/nodes/ppWeb.svg", -1563950303, 2);
    /** 16x16 */ public static final @NotNull Icon Property = load("expui/nodes/property.svg", 1507156663, 2);
    /** 16x16 */ public static final @NotNull Icon Record = load("expui/nodes/record.svg", -1174238194, 2);
    /** 16x16 */ public static final @NotNull Icon ResourcesRoot = load("expui/nodes/resourcesRoot.svg", -745731389, 2);
    /** 16x16 */ public static final @NotNull Icon Servlet = load("expui/nodes/servlet.svg", -1062621975, 2);
    /** 16x16 */ public static final @NotNull Icon SourceRoot = load("expui/nodes/sourceRoot.svg", -2098981635, 2);
    /** 16x16 */ public static final @NotNull Icon Star = load("expui/nodes/star.svg", 912396806, 2);
    /** 16x16 */ public static final @NotNull Icon StarEmpty = load("expui/nodes/starEmpty.svg", -1698315430, 2);
    /** 16x16 */ public static final @NotNull Icon Static = load("expui/nodes/static.svg", -1985067821, 2);
    /** 16x16 */ public static final @NotNull Icon Template = load("expui/nodes/template.svg", -1713742563, 2);
    /** 16x16 */ public static final @NotNull Icon Test = load("expui/nodes/test.svg", 1782092794, 2);
    /** 16x16 */ public static final @NotNull Icon TestGroup = load("expui/nodes/testGroup.svg", 1615987238, 2);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("expui/nodes/testIgnored.svg", -1990406747, 2);
    /** 16x16 */ public static final @NotNull Icon TestResourcesRoot = load("expui/nodes/testResourcesRoot.svg", 959772936, 2);
    /** 16x16 */ public static final @NotNull Icon TestRoot = load("expui/nodes/testRoot.svg", -226378771, 2);
    /** 16x16 */ public static final @NotNull Icon TestSourceFolder = load("expui/nodes/testSourceFolder.svg", -1940917099, 2);
    /** 16x16 */ public static final @NotNull Icon Type = load("expui/nodes/type.svg", -1808982131, 2);
    /** 16x16 */ public static final @NotNull Icon UnloadedModule = load("expui/nodes/unloadedModule.svg", 982800795, 2);
    /** 16x16 */ public static final @NotNull Icon UpFolder = load("expui/nodes/upFolder.svg", 554420260, 2);
    /** 16x16 */ public static final @NotNull Icon Variable = load("expui/nodes/variable.svg", 1525283725, 2);
    /** 16x16 */ public static final @NotNull Icon WarningIntroduction = load("expui/nodes/warningIntroduction.svg", -366158431, 2);
    /** 16x16 */ public static final @NotNull Icon WebFolder = load("expui/nodes/webFolder.svg", 1412606744, 2);
  }

  public static final class ObjectBrowser {
    /** 16x16 */ public static final @NotNull Icon CompactEmptyPackages = load("expui/objectBrowser/compactEmptyPackages.svg", -714496348, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenModules = load("expui/objectBrowser/flattenModules.svg", 1686443696, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenPackages = load("expui/objectBrowser/flattenPackages.svg", -1482227805, 2);
    /** 16x16 */ public static final @NotNull Icon SortAlphabetically = load("expui/objectBrowser/sortAlphabetically.svg", 109468249, 2);
    /** 16x16 */ public static final @NotNull Icon SortByType = load("expui/objectBrowser/sortByType.svg", -453114616, 2);
    /** 16x16 */ public static final @NotNull Icon SortByUsage = load("expui/objectBrowser/sortByUsage.svg", 2020347716, 2);
    /** 16x16 */ public static final @NotNull Icon SortByVisibility = load("expui/objectBrowser/sortByVisibility.svg", 1681207572, 2);
  }

  public static final class Profiler {
    /** 9x9 */ public static final @NotNull Icon CollapseNode = load("expui/profiler/collapseNode.svg", 990758226, 2);
    /** 9x9 */ public static final @NotNull Icon ExpandNode = load("expui/profiler/expandNode.svg", 83570756, 2);
    /** 16x16 */ public static final @NotNull Icon Rec = load("expui/profiler/rec.svg", 147974665, 2);
  }

  public static final class Progress {
    /** 16x16 */ public static final @NotNull Icon Pause = load("expui/progress/pause.svg", -1298623433, 2);
    /** 16x16 */ public static final @NotNull Icon PauseHovered = load("expui/progress/pauseHovered.svg", -1280180774, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("expui/progress/resume.svg", -174331239, 2);
    /** 16x16 */ public static final @NotNull Icon ResumeHovered = load("expui/progress/resumeHovered.svg", -8682082, 2);
    /** 16x16 */ public static final @NotNull Icon Stop = load("expui/progress/stop.svg", -1217323695, 2);
    /** 16x16 */ public static final @NotNull Icon StopHovered = load("expui/progress/stopHovered.svg", 778691738, 2);
  }

  public static final class Run {
    /** 16x16 */ public static final @NotNull Icon AttachToProcess = load("expui/run/attachToProcess.svg", 1612859511, 2);
    /** 16x16 */ public static final @NotNull Icon Debug = load("expui/run/debug.svg", 1409937178, 10);
    /** 16x16 */ public static final @NotNull Icon DumpThreads = load("expui/run/dumpThreads.svg", -887924950, 2);
    /** 16x16 */ public static final @NotNull Icon EvaluateExpression = load("expui/run/evaluateExpression.svg", -1931888328, 2);
    /** 16x16 */ public static final @NotNull Icon ForceRunToCursor = load("expui/run/forceRunToCursor.svg", -179484492, 2);
    /** 16x16 */ public static final @NotNull Icon ForceStepInto = load("expui/run/forceStepInto.svg", 1448256065, 2);
    /** 16x16 */ public static final @NotNull Icon ForceStepOver = load("expui/run/forceStepOver.svg", -2035498335, 2);
    /** 16x16 */ public static final @NotNull Icon KillProcess = load("expui/run/killProcess.svg", 1355892940, 2);
    /** 16x16 */ public static final @NotNull Icon MuteBreakpoints = load("expui/run/muteBreakpoints.svg", -1204791497, 2);
    /** 16x16 */ public static final @NotNull Icon Pause = load("expui/run/pause.svg", 1026728773, 2);
    /** 17x16 */ public static final @NotNull Icon Profile = load("expui/run/profile.svg", 393472442, 2);
    /** 17x16 */ public static final @NotNull Icon Rerun = load("expui/run/rerun.svg", -805858001, 10);
    /** 16x16 */ public static final @NotNull Icon Restart = load("expui/run/restart.svg", -633278181, 2);
    /** 16x16 */ public static final @NotNull Icon RestartDebug = load("expui/run/restartDebug.svg", -223933424, 10);
    /** 16x16 */ public static final @NotNull Icon RestartFailedTests = load("expui/run/restartFailedTests.svg", 738772164, 2);
    /** 16x16 */ public static final @NotNull Icon RestartFrame = load("expui/run/restartFrame.svg", 1963242090, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("expui/run/resume.svg", -73041368, 2);
    /** 16x16 */ public static final @NotNull Icon Run = load("expui/run/run.svg", 1480198900, 10);
    /** 16x16 */ public static final @NotNull Icon RunToCursor = load("expui/run/runToCursor.svg", 847988141, 2);
    /** 16x16 */ public static final @NotNull Icon RunWithCoverage = load("expui/run/runWithCoverage.svg", 1295119429, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCurrentFrame = load("expui/run/showCurrentFrame.svg", 667259303, 2);
    /** 16x16 */ public static final @NotNull Icon ShowIgnored = load("expui/run/showIgnored.svg", -865813917, 2);
    /** 16x16 */ public static final @NotNull Icon ShowPassed = load("expui/run/showPassed.svg", -1407544084, 2);
    /** 16x16 */ public static final @NotNull Icon SmartStepInto = load("expui/run/smartStepInto.svg", 81649475, 2);
    /** 16x16 */ public static final @NotNull Icon StepInto = load("expui/run/stepInto.svg", -749792314, 2);
    /** 16x16 */ public static final @NotNull Icon StepOut = load("expui/run/stepOut.svg", 940869243, 2);
    /** 16x16 */ public static final @NotNull Icon StepOutCodeBlock = load("expui/run/stepOutCodeBlock.svg", 449620743, 2);
    /** 16x16 */ public static final @NotNull Icon StepOver = load("expui/run/stepOver.svg", -551734595, 2);
    /** 16x16 */ public static final @NotNull Icon Stop = load("expui/run/stop.svg", -24617754, 10);
    /** 16x16 */ public static final @NotNull Icon TestCustom = load("expui/run/testCustom.svg", 2139842405, 2);
    /** 16x16 */ public static final @NotNull Icon TestError = load("expui/run/testError.svg", 1101003254, 2);
    /** 16x16 */ public static final @NotNull Icon TestFailed = load("expui/run/testFailed.svg", -374526341, 2);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("expui/run/testIgnored.svg", -293048501, 2);
    /** 16x16 */ public static final @NotNull Icon TestNotRunYet = load("expui/run/testNotRunYet.svg", 1980632327, 2);
    /** 16x16 */ public static final @NotNull Icon TestPassed = load("expui/run/testPassed.svg", 432418484, 2);
    /** 16x16 */ public static final @NotNull Icon TestPassedIgnored = load("expui/run/testPassedIgnored.svg", 603979099, 2);
    /** 16x16 */ public static final @NotNull Icon TestPaused = load("expui/run/testPaused.svg", -644442763, 2);
    /** 16x16 */ public static final @NotNull Icon TestSkipped = load("expui/run/testSkipped.svg", 1394084321, 2);
    /** 16x16 */ public static final @NotNull Icon TestTerminated = load("expui/run/testTerminated.svg", 1594176052, 2);
    /** 16x16 */ public static final @NotNull Icon TestUnknown = load("expui/run/testUnknown.svg", 1118408367, 2);
    /** 16x16 */ public static final @NotNull Icon ViewBreakpoints = load("expui/run/viewBreakpoints.svg", -1019521796, 2);

    public static final class Widget {
      /** 16x16 */ public static final @NotNull Icon Build = load("expui/run/widget/build.svg", 1981008322, 2);
      /** 16x16 */ public static final @NotNull Icon Restart = load("expui/run/widget/restart.svg", -1914644486, 2);
    }
  }

  public static final class RunConfigurations {
    /** 16x16 */ public static final @NotNull Icon Application = load("expui/runConfigurations/application.svg", 326858300, 2);
    /** 16x16 */ public static final @NotNull Icon ApplicationRemote = load("expui/runConfigurations/applicationRemote.svg", -111652439, 2);
    /** 16x16 */ public static final @NotNull Icon Compound = load("expui/runConfigurations/compound.svg", 1035092097, 2);
    /** 16x16 */ public static final @NotNull Icon InvalidConfigurationLayer = load("expui/runConfigurations/invalidConfigurationLayer.svg", 3963890, 2);
    /** 16x16 */ public static final @NotNull Icon Junit = load("expui/runConfigurations/junit.svg", 884878395, 2);
    /** 16x16 */ public static final @NotNull Icon JunitTestMark = load("expui/runConfigurations/junitTestMark.svg", -1779149145, 2);
    /** 16x16 */ public static final @NotNull Icon SortByDuration = load("expui/runConfigurations/sortByDuration.svg", 156764710, 2);
    /** 16x16 */ public static final @NotNull Icon WebApp = load("expui/runConfigurations/webApp.svg", 650995871, 2);
  }

  public static final class Status {
    /** 16x16 */ public static final @NotNull Icon Error = load("expui/status/error.svg", -420103338, 2);
    /** 16x16 */ public static final @NotNull Icon ErrorOutline = load("expui/status/errorOutline.svg", 225199519, 2);
    /** 16x16 */ public static final @NotNull Icon FailedInProgress = load("expui/status/failedInProgress.svg", -506597387, 2);
    /** 16x16 */ public static final @NotNull Icon Info = load("expui/status/info.svg", 355302444, 2);
    /** 16x16 */ public static final @NotNull Icon InfoOutline = load("expui/status/infoOutline.svg", 1784556420, 2);
    /** 16x16 */ public static final @NotNull Icon Success = load("expui/status/success.svg", 756017767, 2);
    /** 16x16 */ public static final @NotNull Icon Warning = load("expui/status/warning.svg", 1801113383, 2);
    /** 16x16 */ public static final @NotNull Icon WarningOutline = load("expui/status/warningOutline.svg", 217210718, 2);
  }

  /** 16x16 */ public static final @NotNull Icon Stub = load("expui/stub.svg", 1996361280, 2);
  /** 20x20 */ public static final @NotNull Icon Stub_20x20 = load("expui/stub@20x20.svg", 395528462, 2);

  public static final class Table {
    /** 16x16 */ public static final @NotNull Icon Pagination = load("expui/table/pagination.svg", -509317869, 2);
  }

  public static final class Toolbar {
    /** 16x16 */ public static final @NotNull Icon Unknown = load("expui/toolbar/unknown.svg", -2088899744, 2);
    /** 20x20 */ public static final @NotNull Icon Unknown_20x20 = load("expui/toolbar/unknown@20x20.svg", -1544757664, 2);
  }

  public static final class Toolwindow {
    /** 16x16 */ public static final @NotNull Icon Ant = load("expui/toolwindow/ant.svg", 883205898, 2);
    /** 20x20 */ public static final @NotNull Icon Ant_20x20 = load("expui/toolwindow/ant@20x20.svg", -1747849787, 2);
    /** 16x16 */ public static final @NotNull Icon Bookmarks = load("expui/toolwindow/bookmarks.svg", 1154354591, 2);
    /** 20x20 */ public static final @NotNull Icon Bookmarks_20x20 = load("expui/toolwindow/bookmarks@20x20.svg", -1940462258, 2);
    /** 16x16 */ public static final @NotNull Icon Build = load("expui/toolwindow/build.svg", 137266523, 2);
    /** 20x20 */ public static final @NotNull Icon Build_20x20 = load("expui/toolwindow/build@20x20.svg", -1825954651, 2);
    /** 16x16 */ public static final @NotNull Icon Changes = load("expui/toolwindow/changes.svg", -640425216, 2);
    /** 20x20 */ public static final @NotNull Icon Changes_20x20 = load("expui/toolwindow/changes@20x20.svg", 650732251, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("expui/toolwindow/commit.svg", -1684975732, 2);
    /** 20x20 */ public static final @NotNull Icon Commit_20x20 = load("expui/toolwindow/commit@20x20.svg", 2075432570, 2);
    /** 16x16 */ public static final @NotNull Icon Coverage = load("expui/toolwindow/coverage.svg", 909117548, 2);
    /** 20x20 */ public static final @NotNull Icon Coverage_20x20 = load("expui/toolwindow/coverage@20x20.svg", 1381455732, 2);
    /** 16x16 */ public static final @NotNull Icon Debug = load("expui/toolwindow/debug.svg", 1225532119, 2);
    /** 20x20 */ public static final @NotNull Icon Debug_20x20 = load("expui/toolwindow/debug@20x20.svg", 68625950, 2);
    /** 16x16 */ public static final @NotNull Icon Dependencies = load("expui/toolwindow/dependencies.svg", 1591586116, 2);
    /** 20x20 */ public static final @NotNull Icon Dependencies_20x20 = load("expui/toolwindow/dependencies@20x20.svg", 85113629, 2);
    /** 16x16 */ public static final @NotNull Icon Documentation = load("expui/toolwindow/documentation.svg", 363254601, 2);
    /** 20x20 */ public static final @NotNull Icon Documentation_20x20 = load("expui/toolwindow/documentation@20x20.svg", 1579153166, 2);
    /** 16x16 */ public static final @NotNull Icon Find = load("expui/toolwindow/find.svg", -148984914, 2);
    /** 20x20 */ public static final @NotNull Icon Find_20x20 = load("expui/toolwindow/find@20x20.svg", 1958644983, 2);
    /** 16x16 */ public static final @NotNull Icon Hierarchy = load("expui/toolwindow/hierarchy.svg", -1933153741, 2);
    /** 20x20 */ public static final @NotNull Icon Hierarchy_20x20 = load("expui/toolwindow/hierarchy@20x20.svg", -907637352, 2);
    /** 16x16 */ public static final @NotNull Icon MeetNewUi = load("expui/toolwindow/meetNewUi.svg", -961838266, 2);
    /** 20x20 */ public static final @NotNull Icon MeetNewUi_20x20 = load("expui/toolwindow/meetNewUi@20x20.svg", -613918233, 2);
    /** 16x16 */ public static final @NotNull Icon Messages = load("expui/toolwindow/messages.svg", -616089193, 2);
    /** 20x20 */ public static final @NotNull Icon Messages_20x20 = load("expui/toolwindow/messages@20x20.svg", -1211964432, 2);
    /** 16x16 */ public static final @NotNull Icon Notifications = load("expui/toolwindow/notifications.svg", -1470210384, 2);
    /** 20x20 */ public static final @NotNull Icon Notifications_20x20 = load("expui/toolwindow/notifications@20x20.svg", 1333837290, 2);
    /** 16x16 */ public static final @NotNull Icon Problems = load("expui/toolwindow/problems.svg", -427479220, 2);
    /** 20x20 */ public static final @NotNull Icon Problems_20x20 = load("expui/toolwindow/problems@20x20.svg", 763737055, 2);
    /** 16x16 */ public static final @NotNull Icon Profiler = load("expui/toolwindow/profiler.svg", 1086655201, 2);
    /** 20x20 */ public static final @NotNull Icon Profiler_20x20 = load("expui/toolwindow/profiler@20x20.svg", -398302136, 2);
    /** 16x16 */ public static final @NotNull Icon Project = load("expui/toolwindow/project.svg", -441697284, 2);
    /** 20x20 */ public static final @NotNull Icon Project_20x20 = load("expui/toolwindow/project@20x20.svg", 217672890, 2);
    /** 16x16 */ public static final @NotNull Icon Repositories = load("expui/toolwindow/repositories.svg", -1091261837, 2);
    /** 20x20 */ public static final @NotNull Icon Repositories_20x20 = load("expui/toolwindow/repositories@20x20.svg", 922510593, 2);
    /** 16x16 */ public static final @NotNull Icon Run = load("expui/toolwindow/run.svg", 631696328, 2);
    /** 20x20 */ public static final @NotNull Icon Run_20x20 = load("expui/toolwindow/run@20x20.svg", 422043137, 2);
    /** 16x16 */ public static final @NotNull Icon Services = load("expui/toolwindow/services.svg", -1868176147, 2);
    /** 20x20 */ public static final @NotNull Icon Services_20x20 = load("expui/toolwindow/services@20x20.svg", 573843587, 2);
    /** 18x16 */ public static final @NotNull Icon SettingSync = load("expui/toolwindow/settingSync.svg", 355260851, 2);
    /** 20x20 */ public static final @NotNull Icon SettingSync_20x20 = load("expui/toolwindow/settingSync@20x20.svg", -836635600, 2);
    /** 16x16 */ public static final @NotNull Icon Structure = load("expui/toolwindow/structure.svg", -1530250891, 2);
    /** 20x20 */ public static final @NotNull Icon Structure_20x20 = load("expui/toolwindow/structure@20x20.svg", 1239205320, 2);
    /** 16x16 */ public static final @NotNull Icon Task = load("expui/toolwindow/task.svg", 214137738, 2);
    /** 20x20 */ public static final @NotNull Icon Task_20x20 = load("expui/toolwindow/task@20x20.svg", -934203150, 2);
    /** 16x16 */ public static final @NotNull Icon Todo = load("expui/toolwindow/todo.svg", -1618257311, 2);
    /** 20x20 */ public static final @NotNull Icon Todo_20x20 = load("expui/toolwindow/todo@20x20.svg", -811890978, 2);
    /** 16x16 */ public static final @NotNull Icon ToolWindowInternal = load("expui/toolwindow/toolWindowInternal.svg", -1900747368, 2);
    /** 20x20 */ public static final @NotNull Icon ToolWindowInternal_20x20 = load("expui/toolwindow/toolWindowInternal@20x20.svg", -434982620, 2);
    /** 16x16 */ public static final @NotNull Icon ToolWindowJsonPath = load("expui/toolwindow/toolWindowJsonPath.svg", 1764965987, 2);
    /** 20x20 */ public static final @NotNull Icon ToolWindowJsonPath_20x20 = load("expui/toolwindow/toolWindowJsonPath@20x20.svg", -308711555, 2);
    /** 16x16 */ public static final @NotNull Icon ToolWindowVariableView = load("expui/toolwindow/toolWindowVariableView.svg", -944459308, 2);
    /** 20x20 */ public static final @NotNull Icon ToolWindowVariableView_20x20 = load("expui/toolwindow/toolWindowVariableView@20x20.svg", 1193386499, 2);
    /** 16x16 */ public static final @NotNull Icon Vcs = load("expui/toolwindow/vcs.svg", 468795750, 2);
    /** 20x20 */ public static final @NotNull Icon Vcs_20x20 = load("expui/toolwindow/vcs@20x20.svg", 884290519, 2);
    /** 16x16 */ public static final @NotNull Icon Web = load("expui/toolwindow/web.svg", -1568855149, 2);
    /** 20x20 */ public static final @NotNull Icon Web_20x20 = load("expui/toolwindow/web@20x20.svg", -1228126495, 2);
  }

  public static final class Vcs {
    /** 16x16 */ public static final @NotNull Icon BranchLabel = load("expui/vcs/branchLabel.svg", -571251222, 2);
    /** 16x16 */ public static final @NotNull Icon Changelist = load("expui/vcs/changelist.svg", 2087070453, 2);
    /** 16x16 */ public static final @NotNull Icon Changes = load("expui/vcs/changes.svg", -429240073, 2);
    /** 12x12 */ public static final @NotNull Icon ChangesPush_12x12 = load("expui/vcs/changesPush@12x12.svg", 1270079040, 2);
    /** 12x12 */ public static final @NotNull Icon ChangesUpdate_12x12 = load("expui/vcs/changesUpdate@12x12.svg", -413997184, 2);
    /** 16x16 */ public static final @NotNull Icon CherryPick = load("expui/vcs/cherryPick.svg", -447751845, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("expui/vcs/commit.svg", -1684975732, 2);
    /** 16x16 */ public static final @NotNull Icon CurrentBranchFavoriteLabel = load("expui/vcs/currentBranchFavoriteLabel.svg", -221270353, 2);
    /** 16x16 */ public static final @NotNull Icon CurrentBranchLabel = load("expui/vcs/currentBranchLabel.svg", 1417716901, 2);
    /** 16x16 */ public static final @NotNull Icon Diff = load("expui/vcs/diff.svg", 1250676145, 2);
    /** 16x16 */ public static final @NotNull Icon Fetch = load("expui/vcs/fetch.svg", 2009646, 2);
    /** 16x16 */ public static final @NotNull Icon IncomingUpdate = load("expui/vcs/incomingUpdate.svg", 1809288822, 2);
    /** 16x16 */ public static final @NotNull Icon IntelliSort = load("expui/vcs/intelliSort.svg", 205091346, 2);
    /** 16x16 */ public static final @NotNull Icon Merge = load("expui/vcs/merge.svg", -1685592985, 2);
    /** 16x16 */ public static final @NotNull Icon OutgoingPush = load("expui/vcs/outgoingPush.svg", -1330824186, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("expui/vcs/patch.svg", -706028010, 2);
    /** 16x16 */ public static final @NotNull Icon Push = load("expui/vcs/push.svg", 1584403848, 2);
    /** 16x16 */ public static final @NotNull Icon Revert = load("expui/vcs/revert.svg", -684069834, 2);
    /** 16x16 */ public static final @NotNull Icon Stash = load("expui/vcs/stash.svg", -210124156, 2);
    /** 16x16 */ public static final @NotNull Icon Unshelve = load("expui/vcs/unshelve.svg", -1909932974, 2);
    /** 16x16 */ public static final @NotNull Icon Update = load("expui/vcs/update.svg", -2030089646, 2);
    /** 16x16 */ public static final @NotNull Icon Vcs = load("expui/vcs/vcs.svg", 468795750, 2);
  }

  public static final class WebReferences {
    /** 16x16 */ public static final @NotNull Icon Server = load("expui/webReferences/server.svg", 1021314784, 2);
  }

  public static final class Welcome {
    /** 20x20 */ public static final @NotNull Icon CreateNewProjectTab = load("expui/welcome/createNewProjectTab.svg", 78176762, 2);
    /** 20x20 */ public static final @NotNull Icon FromVCSTab = load("expui/welcome/fromVCSTab.svg", 587255847, 2);
    /** 20x20 */ public static final @NotNull Icon Open = load("expui/welcome/open.svg", -1536226298, 2);
  }

  public static final class Windows {
    /** 16x16 */ public static final @NotNull Icon Close = load("expui/windows/close.svg", 1432612350, 2);
    /** 16x16 */ public static final @NotNull Icon CloseActive = load("expui/windows/closeActive.svg", -820613773, 0);
    /** 16x16 */ public static final @NotNull Icon CloseInactive = load("expui/windows/closeInactive.svg", -1352748434, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("expui/windows/closeSmall.svg", -1786393496, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("expui/windows/collapse.svg", 1845017936, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("expui/windows/help.svg", 1378406541, 2);
    /** 16x16 */ public static final @NotNull Icon HelpInactive = load("expui/windows/helpInactive.svg", -1048964340, 2);
    /** 16x16 */ public static final @NotNull Icon Maximize = load("expui/windows/maximize.svg", 1311939901, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeInactive = load("expui/windows/maximizeInactive.svg", -1626831853, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeSmall = load("expui/windows/maximizeSmall.svg", -1600143423, 2);
    /** 16x16 */ public static final @NotNull Icon Minimize = load("expui/windows/minimize.svg", 1159589618, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeInactive = load("expui/windows/minimizeInactive.svg", 1773314278, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeSmall = load("expui/windows/minimizeSmall.svg", 936324819, 2);
    /** 16x16 */ public static final @NotNull Icon Restore = load("expui/windows/restore.svg", -109508497, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreInactive = load("expui/windows/restoreInactive.svg", 19394698, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreSmall = load("expui/windows/restoreSmall.svg", -1928815467, 2);
  }
}
